# norootforbuild

%define _prefix	%{_usr}/lib/hudson
%define workdir	%{_localstatedir}/lib/hudson

Name:		hudson
Version:	1.373
Release:	1.1
Summary:	Continous Build Server
Source:		https://hudson.dev.java.net/files/documents/2402/137854/hudson.war
Source1:	hudson.init.in
Source2:	hudson.sysconfig.in
Source3:	hudson.logrotate
URL:		https://hudson.dev.java.net/
Group:		Development/Tools/Building
License:	MIT/X License, GPL/CDDL, ASL2
BuildRoot:	%{_tmppath}/build-%{name}-%{version}
Requires:	java-sdk >= 1.5.0
# for jar:
BuildRequires:	java-sdk >= 1.5.0
PreReq:		/usr/sbin/groupadd /usr/sbin/useradd
PreReq:		%fillup_prereq
BuildArch:	noarch

%description
Hudson monitors executions of repeated jobs, such as building a software
project or jobs run by cron. Among those things, current Hudson focuses on the
following two jobs:
- Building/testing software projects continuously, just like CruiseControl or
  DamageControl. In a nutshell, Hudson provides an easy-to-use so-called
  continuous integration system, making it easier for developers to integrate
  changes to the project, and making it easier for users to obtain a fresh
  build. The automated, continuous build increases the productivity.
- Monitoring executions of externally-run jobs, such as cron jobs and procmail
  jobs, even those that are run on a remote machine. For example, with cron,
  all you receive is regular e-mails that capture the output, and it is up to
  you to look at them diligently and notice when it broke. Hudson keeps those
  outputs and makes it easy for you to notice when something is wrong.




Authors:
--------
    Kohsuke Kawaguchi <Kohsuke.Kawaguchi@sun.com>

%prep
%setup -q -T -c

%build

%install
%__install -D -m0644 "%{SOURCE0}" "%{buildroot}%{_prefix}/%{name}.war"
%__install -d "%{buildroot}%{workdir}"
%__install -d "%{buildroot}%{workdir}/plugins"

%__install -d "%{buildroot}/var/log/hudson"

%__install -D -m0755 "%{SOURCE1}" "%{buildroot}/etc/init.d/%{name}"
%__sed -i 's,@@WAR@@,%{_prefix}/%{name}.war,g' "%{buildroot}/etc/init.d/%{name}"
%__install -d "%{buildroot}/usr/sbin"
%__ln_s "../../etc/init.d/%{name}" "%{buildroot}/usr/sbin/rc%{name}"

%__install -D -m0600 "%{SOURCE2}" "%{buildroot}/var/adm/fillup-templates/sysconfig.%{name}"
%__sed -i 's,@@HOME@@,%{workdir},g' "%{buildroot}/var/adm/fillup-templates/sysconfig.%{name}"

%__install -D -m0644 "%{SOURCE3}" "%{buildroot}/etc/logrotate.d/%{name}"

%pre
/usr/sbin/groupadd -r hudson &>/dev/null || :
/usr/sbin/useradd -o -g hudson -s /bin/false -r -c "Hudson Continuous Build server" \
	-d "%{workdir}" hudson &>/dev/null || :

%post
%{fillup_only hudson}

%preun
%stop_on_removal hudson

%postun
%restart_on_update hudson
%insserv_cleanup

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_prefix}
%{_prefix}/%{name}.war
%attr(0755,hudson,hudson) %dir %{workdir}
%attr(0755,hudson,hudson) %dir %{workdir}/plugins
%attr(0750,hudson,hudson) /var/log/hudson
%config /etc/logrotate.d/%{name}
%config /etc/init.d/%{name}
/usr/sbin/rc%{name}
/var/adm/fillup-templates/sysconfig.%{name}

%changelog
* Tue Aug 24 2010 dmacvicar@suse.de
- Merged logrotate change that hudson-ci.org openSUSE did not
  send back after forking the package
  * logrotate change
- Fix in init.d script by jdsn@suse.de
- Update to 1.373:
  * About java.net [http://www.java.net/about-javanet]
  * Create a Project [http://www.java.net/request-project]
  * Publicize your Project [http://www.java.net/publicize-your-project]
  * Your Content [http://www.java.net/projectowner]
  * Submit Content [http://www.java.net/submit-content]
  * java-net Project [https://java-net.dev.java.net/]
  * Site Help [/servlets/OpenCollabNet]
  * Report Inappropriate Content [mailto:spamreport@admin.dev.java.net]
  * Project home [https://hudson.dev.java.net/servlets/ProjectHome;jsessionid=973DAE0265D252D84D49F0A35671A313]
  * Announcements [https://hudson.dev.java.net/servlets/ProjectNewsList;jsessionid=973DAE0265D252D84D49F0A35671A313]
  * Discussion forums [https://hudson.dev.java.net/servlets/ProjectForumView;jsessionid=973DAE0265D252D84D49F0A35671A313]
  * Mailing lists [https://hudson.dev.java.net/servlets/ProjectMailingListList;jsessionid=973DAE0265D252D84D49F0A35671A313]
  * Documents & files [https://hudson.dev.java.net/servlets/ProjectDocumentList;jsessionid=973DAE0265D252D84D49F0A35671A313]
  * Subversion [https://hudson.dev.java.net/source/browse/hudson/]
  * Issue tracker [https://hudson.dev.java.net/servlets/ProjectIssues;jsessionid=973DAE0265D252D84D49F0A35671A313]
  * Downloads [/servlets/ProjectDocumentList]
  * Membership [/servlets/ProjectMemberList]
  * Mailing lists [/mailing-lists.html]
  * Wiki [http://wiki.hudson-ci.org/display/HUDSON/Home]
  * IRC channel [/irc.html]
  * Twitter [http://twitter.com/hudsonci]
  * Source code [http://wiki.hudson-ci.org/display/HUDSON/Source+code]
  * Javadoc [https://hudson.dev.java.net/nonav/javadoc/]
  * License [http://wiki.hudson-ci.org/display/HUDSON/Use+Hudson#UseHudson-License]
  * Issue tracker [http://issues.hudson-ci.org/]
  * Commercial Support [http://wiki.hudson-ci.org/display/HUDSON/Commercial+Support]
  * Get release notes for CollabNet 4.5.2? [http://www.collab.net/rn/]
  * Get help? [https://hudson.dev.java.net/nonav/servlets/HelpTOC]
  * Maven2 projects now pick up Flexmojo test results automatically.
    (issue 6893 [http://issues.hudson-ci.org/browse/HUDSON-6893])
  * Auto-completion can be now easily added to text boxes by plugins.
  * Non build modules in incremental Maven builds are now set to NOT_BUILD at the beginning of the build, already.
  * Plugins can now transform the console output.
    (issue 7112 [http://issues.hudson-ci.org/browse/HUDSON-7112])
  * Administrator can unpin plugins that are pinned.
  * Memory footprint reduction with fingerprints.
  * Fixed a config page regression in the matrix project.
    (issue 7213 [http://issues.hudson-ci.org/browse/HUDSON-7213])
  * Ant target annotation should allow colon in the target name.
    (issue 7026 [http://issues.hudson-ci.org/browse/HUDSON-7026])
  * Fixed a 1.372 regression in handling whitespace and other characters in label names.
    (issue 7216 [http://issues.hudson-ci.org/browse/HUDSON-7216])
  * Axes in multi-configuration projects are now extensible.
  * Multi-configuration projects now allow multiple label/node axes.
  * Improved the layout algorithm of the matrix project visualization. (patch [http://hudson.361315.n4.nabble.com/PATCH-Prefer-Y-axis-based-on-size-td2324178.html#a2324178])
  * JUnit report archiving now captures stdout of tests run in Surefire.
    (issue 4158 [http://issues.hudson-ci.org/browse/HUDSON-4158])
  * Persist matrix-based security settings in a consistent order
    (issue 7138 [http://issues.hudson-ci.org/browse/HUDSON-7138])
  * Jobs can now use boolean expression over labels to control where they run.
  * A security hole in CLI command implementations enable unauthorized users from executing commands. (SECURITY-5)
  * Workaround issue in IBM JVM causing intermittent ClassNotFoundExceptions.
    (issue 5141 [http://issues.hudson-ci.org/browse/HUDSON-5141])
  * Fixed a memory leak in Winstone
    (issue 5119 [http://issues.hudson-ci.org/browse/HUDSON-5119])
  * Incorporated community contributed translations in Korean and Dutch.
  * X-Hudson header not being sent in 1.368.
    (issue 7100 [http://issues.hudson-ci.org/browse/HUDSON-7100])
  * NPE on build after incremental Maven builds are aborted.
    (issue 6429 [http://issues.hudson-ci.org/browse/HUDSON-6429])
  * On-demand slaves would launch even when "only for tied jobs" is set.
    (issue 7054 [http://issues.hudson-ci.org/browse/HUDSON-7054])
  * Fix links to ant targets in console output view that were added in 1.367.
    (issue 7041 [http://issues.hudson-ci.org/browse/HUDSON-7041])
  * Avoid error with invalid or null primary view, such as in upgrade from older Hudson.
    (issue 6938 [http://issues.hudson-ci.org/browse/HUDSON-6938])
  * Support LogRotator deletion of old artifacts in multiconfiguration projects.
    (issue 6925 [http://issues.hudson-ci.org/browse/HUDSON-6925])
  * Build queue was not saved in safeRestart or safeExit.
    (issue 6804 [http://issues.hudson-ci.org/browse/HUDSON-6804])
  * CLI can now work with a reverse proxy that requires BASIC auth.
    (issue 3796 [http://issues.hudson-ci.org/browse/HUDSON-3796])
  * Make /buildWithParameters support remote cause and user supplied cause text for build via authentication token, just as /build does.
    (issue 7004 [http://issues.hudson-ci.org/browse/HUDSON-7004])
  * Auto install of JDK when master/slave are different platforms would fail.
    (issue 6880 [http://issues.hudson-ci.org/browse/HUDSON-6880])
  * Modified to work with Tomcat 7.
    (issue 6738 [http://issues.hudson-ci.org/browse/HUDSON-6738])
  * Safe restart made Hudson unresponsive until all running jobs complete, since 1.361.
    (issue 6649 [http://issues.hudson-ci.org/browse/HUDSON-6649])
  * Plugins with dependencies show wrong description on installed plugins page.
    (issue 6966 [http://issues.hudson-ci.org/browse/HUDSON-6966])
  * Fix redirect after login when return URL has characters that need encoding.
    (issue 6960 [http://issues.hudson-ci.org/browse/HUDSON-6960])
  * <input type='hidden'> field shouldn't be getting the plain text password value.
  * Added a mechanism to register CLI option handler as an extension point.
  * Added a CLI command 'set-build-result' that can be used from inside a build to set the build status.
  * Show outline structure for Ant execution in the console output view.
  * Remote API now supports the 'tree' filter query parameter which is more efficient and easier to use.
    (issue 5940 [http://issues.hudson-ci.org/browse/HUDSON-5940])
  * Fixed a possible security issue where a malicious user with the project configuration access can trick Hudson into leaking the proxy password, if Hudson is configured with a proxy with username/password. (SECURITY-3)
  * Delete contained module builds when a maven project build is deleted, to avoid orphaned builds which can then affect the displayed result of a prior build.
    (issue 6779 [http://issues.hudson-ci.org/browse/HUDSON-6779])
  * Hide some sidepanel links that should not be shown in user-private views.
    (issue 6832 [http://issues.hudson-ci.org/browse/HUDSON-6832])
  * Fix for file parameters that are copied to a subdirectory of the workspace.
    (issue 6889 [http://issues.hudson-ci.org/browse/HUDSON-6889])
  * File parameters uploaded via the CLI are now displayed correctly on the build Parameters page.
    (issue 6896 [http://issues.hudson-ci.org/browse/HUDSON-6896])
  * Allowed file parameters to be downloaded even when the name contains URL-unfriendly characters.
    (issue 6897 [http://issues.hudson-ci.org/browse/HUDSON-6897])
  * Fixed a garbage in the raw console plain text output.
    (issue 6034 [http://issues.hudson-ci.org/browse/HUDSON-6034])
  * "Hudson is loading" page didn't take the user back to the same page.
  * Hudson can now remotely install JDK on Windows slaves when connecting via the "Let Hudson control this Windows slave as a Windows service" mode.
  * The "Let Hudson control this Windows slave as a Windows service" mode now allows the same Windows slave to be used by multiple Hudson masters.
  * Fixed a critical security problem. See the advisory [http://infradna.com/content/security-advisory-2010-07-05] for more details.
  * Fixed a race condition where a queued build may get executed multiple times.
    (issue 6819 [http://issues.hudson-ci.org/browse/HUDSON-6819])
  * Some UI labels related to JUnit results were shown in the wrong locale.
    (issue 6824 [http://issues.hudson-ci.org/browse/HUDSON-6824])
  * BuildWrappers can now contribute build variables.
    (issue 6497 [http://issues.hudson-ci.org/browse/HUDSON-6497])
  * Fix queue handling to close locking gap between removing job from queue and starting build, to prevent unintended concurrent builds (refactor of change first made in 1.360).
    (report [http://hudson.361315.n4.nabble.com/Patch-to-fix-concurrent-build-problem-td2229136.html])
  * Allow multiple dependencies between same two projects, as they may trigger under different conditions and with different parameters.
    (issue 5708 [http://issues.hudson-ci.org/browse/HUDSON-5708])
  * Timeline on build trend page should use server timezone instead of always GMT.
    (issue 6692 [http://issues.hudson-ci.org/browse/HUDSON-6692])
  * Don't mask the cause of the checkout related exception.
  * "who am I?" page should be visible to everyone.
  * Avoid pointless and harmful redirection when downloading slave.jar.
    (issue 5752 [http://issues.hudson-ci.org/browse/HUDSON-5752])
  * Cache downloaded JDKs.
  * Reinstall a JDK when a different version is selected.
    (issue 5551 [http://issues.hudson-ci.org/browse/HUDSON-5551])
  * Integrated community-contributed translations (Germany, Greek, Spanish, Finnish, Hungarian, Italian, Japanese, French, Russian, Slovenian, Dutch, Traditional Chinese, Swedish, Ukrainian, and Portuguese.)
  * Upgraded bundled Ant to version 1.8.1.
    (issue 6562 [http://issues.hudson-ci.org/browse/HUDSON-6562])
  * Restored optional container-based authentication for CLI.
    (issue 6587 [http://issues.hudson-ci.org/browse/HUDSON-6587])
  * Fix javascript error when a plugin uses an empty dropdownList, resulting in LOADING overlay being left up.
    (issue 6542 [http://issues.hudson-ci.org/browse/HUDSON-6542])
  * Add setting so job views may show only enabled or disabled jobs.
    (issue 6673 [http://issues.hudson-ci.org/browse/HUDSON-6673])
  * File parameters can now be downloaded from the build Parameters page.
    (issue 6719 [http://issues.hudson-ci.org/browse/HUDSON-6719])
  * Added an ability to point to different update sites.
  * Added a new extension point to plug in custom utility to kill processes.
  * Added a proactive error diagnostics to look for a broken reverse proxy setup.
    (report [http://wiki.hudson-ci.org/display/HUDSON/Running+Hudson+behind+Apache#RunningHudsonbehindApache-modproxywithHTTPS])
  * Fixed a bug where IE shows empty client cert dialog when connecting to HTTPS site run by Winstone.
    (report [http://hudson.361315.n4.nabble.com/winstone-container-and-ssl-td383501.html])
  * "java -jar hudson.war" with AJP was broken.
    (issue 5753 [http://issues.hudson-ci.org/browse/HUDSON-5753])
  * Safe restart stopped working on protected Hudson since 1.359.
    (issue 6667 [http://issues.hudson-ci.org/browse/HUDSON-6667])
  * Parameterized jobs did not use configured quiet period.
    (issue 6660 [http://issues.hudson-ci.org/browse/HUDSON-6660])
  * Fix form data conflict when fingerprinting is used with Promoted Builds plugin.
    (issue 6642 [http://issues.hudson-ci.org/browse/HUDSON-6642])
  * Avoid possible exception at startup when some plugins have optional dependencies.
    (issue 6435 [http://issues.hudson-ci.org/browse/HUDSON-6435])
  * Add autocomplete="off" for LDAP managerDN and managerPassword fields.
    (issue 3586 [http://issues.hudson-ci.org/browse/HUDSON-3586])
  * Set a TCP timeout when slaves connect to the master.
    (issue 6262 [http://issues.hudson-ci.org/browse/HUDSON-6262])
  * File parameter builds started with the CLI command no longer throw an NPE.
    (issue 4296 [http://issues.hudson-ci.org/browse/HUDSON-4296])
  * Workaround for bug in Glassfish Enterprise.
    (issue 6459 [http://issues.hudson-ci.org/browse/HUDSON-6459])
  * Ensure nested f:repeatable content does not inherit outer list when inner list is null.
    (issue 6679 [http://issues.hudson-ci.org/browse/HUDSON-6679])
  * Add two new permalinks to job pages: "Last unstable build" and "Last unsuccessful build".
  * Allow the build number to be set so long as it's still bigger than the last build.
    (issue 4930 [http://issues.hudson-ci.org/browse/HUDSON-4930])
  * Copied jobs are now disabled until configuration is saved, so they don't start building before ready.
    (issue 2494 [http://issues.hudson-ci.org/browse/HUDSON-2494])
  * Reduced logging from jmDNS.
  * A Java6 dependency had crept in in 1.359.
    (issue 6653 [http://issues.hudson-ci.org/browse/HUDSON-6653])
  * Workaround for bug in Glassfish Enterprise.
    (issue 6459 [http://issues.hudson-ci.org/browse/HUDSON-6459])
  * Added an extension point to control the assignment of tasks to nodes.
    (issue 6598 [http://issues.hudson-ci.org/browse/HUDSON-6598])
  * Accept latest JRockit JVM release as a compatible JVM.
    (issue 6556 [http://issues.hudson-ci.org/browse/HUDSON-6556])
  * Hudson now broadcasts itself in DNS multicast at "_hudson._tcp.local" to facilitate auto-discovery from other tools
  * Added the "-block" option to the "quiet-down" CLI command so that the command will block until the system really quiets down.
  * Too much memory used by stdout/stderr from test results.
    (issue 6516 [http://issues.hudson-ci.org/browse/HUDSON-6516])
  * Fixed a memory leak in Winstone sessions.
    (issue 5119 [http://issues.hudson-ci.org/browse/HUDSON-5119])
  * Fix to handle usernames with colon character on Windows.
    (issue 6476 [http://issues.hudson-ci.org/browse/HUDSON-6476])
  * Fixed the port number handling problem in debian init script.
    (issue 6474 [http://issues.hudson-ci.org/browse/HUDSON-6474])
  * Fix FilePath.getParent() handling of edge cases.
    (issue 6494 [http://issues.hudson-ci.org/browse/HUDSON-6494])
  * Fix css conflict introduced in 1.357 that caused missing data display in analysis plugins.
    (issue 6496 [http://issues.hudson-ci.org/browse/HUDSON-6496])
  * Support "optional=true" parameter for @Extension.
  * Supported OpenSSL-style certificate/key file format with "java -jar hudson.war"
  * If --httpsPort option is given without the certificate, run with a one-time self-signed certificate.
  * Hudson shouldn't show a login error page unless the user really failed to login (think about when the user presses a back button.)
  * Maven builds abort unexpectedly due to a SocketTimeoutException on machine with poor resources.
    (issue 3273 [http://issues.hudson-ci.org/browse/HUDSON-3273])
  * Fix incorrect handling of ".." in paths with mix of / and \ separators since 1.349.
    (issue 5951 [http://issues.hudson-ci.org/browse/HUDSON-5951])
  * Javadoc publishing should not fail build if javadoc is already current.
    (issue 6332 [http://issues.hudson-ci.org/browse/HUDSON-6332])
  * Fix download of files/artifacts larger than 2GB.
    (issue 6351 [http://issues.hudson-ci.org/browse/HUDSON-6351])
  * Build page may not list all of the artifacts since 1.348.
    (issue 6371 [http://issues.hudson-ci.org/browse/HUDSON-6371])
  * Add workaround for Opera 10.52/53 bug causing error in saving job configuration.
    (issue 6424 [http://issues.hudson-ci.org/browse/HUDSON-6424])
  * Fix createSymlink problem on *nix systems that do not use GNUCLibrary since 1.356.
    (issue 6437 [http://issues.hudson-ci.org/browse/HUDSON-6437])
  * Hide add/edit description link on test result pages when user does not have permission to submit a description.
  * Changed permission required to set description on test result pages from Build Job to Update Run.
  * Add "LOADING" overlay on global and job config pages until form is ready for use.
  * Email recipient lists now support build parameters.
    (issue 6394 [http://issues.hudson-ci.org/browse/HUDSON-6394])
  * Make it easier to see the latest update jobs on the Update Center page.
    (issue 4255 [http://issues.hudson-ci.org/browse/HUDSON-4255])
  * Allow plugins to use forms with an onsubmit handler, and fix "no-json" handling.
    (issue 5927 [http://issues.hudson-ci.org/browse/HUDSON-5927])
  * Fix StringIndexOutOfBoundsException in console log from UrlAnnotator.
    (issue 6252 [http://issues.hudson-ci.org/browse/HUDSON-6252])
  * Fixed potential deadlock between saving project config and getting project page.
    (issue 6269 [http://issues.hudson-ci.org/browse/HUDSON-6269])
  * Fixed timeline display on build time trend page.
    (issue 6439 [http://issues.hudson-ci.org/browse/HUDSON-6439])
  * Fixed garbled response of XML API if xpath is specified. (ja@hudson.dev.javanet [http://n4.nabble.com/Hudson-API-XML-td1723766.html#a1723766])
  * Fix broken links for stopping jobs in executor list on pages for slave nodes or filtered views.
  * Fixed NoSuchMethodError with Maven and Ivy plugins.
    (issue 6311 [http://issues.hudson-ci.org/browse/HUDSON-6311])
  * Extension points can be now sorted.
  * Colored ball image at top of build pages was broken for Hudson in some web containers (fixed by removing workaround for a Firefox bug fixed since 3.0.5/Dec2008).
    (issue 2341 [http://issues.hudson-ci.org/browse/HUDSON-2341])
  * Console page while build is running did not wrap lines when viewed in IE.
    (issue 5869 [http://issues.hudson-ci.org/browse/HUDSON-5869])
  * Fixed build history to indicate test failure for MavenBuild and MavenModuleSetBuild.
  * Make dropdownList work in repeatable content, such as a build step.
  * Fixed a bug where a job created via XML didn't properly receive upstream/downstream computation.
    (report [http://n4.nabble.com/Hudson-API-td1747758.html#a1747758])
  * Argument masking wasn't working correctly for commands run on slaves
    (report [http://n4.nabble.com/Password-masking-when-running-commands-on-a-slave-tp1753033p1753033.html])
  * Added the slave retention strategy based on a schedule.
  * Added to configure charset option of Mailer.
  * POM parsing was still using the module root as the base for relative paths for alternate settings files.
    (issue 6080 [http://issues.hudson-ci.org/browse/HUDSON-6080])
  * Fix dynamic updates of build history table when CSRF protection is turned on.
    (issue 6072 [http://issues.hudson-ci.org/browse/HUDSON-6072])
  * Improved the error reporting mechanism in LDAP setting.
  * Raw console output contains garbage.
    (issue 6034 [http://issues.hudson-ci.org/browse/HUDSON-6034])
  * Fixed a file handle leak in the slave connection.
    (issue 6137 [http://issues.hudson-ci.org/browse/HUDSON-6137])
  * Quiet period wasn't taking effect properly when doing parameterized builds.
  * Tagging a repository can result in NPE.
  * Fix possible form submission error when using multiple combobox elements.
    (issue 6025 [http://issues.hudson-ci.org/browse/HUDSON-6025])
  * Better escaping of test case names in test results pages.
    (issue 5982 [http://issues.hudson-ci.org/browse/HUDSON-5982])
  * Make radio buttons work in repeatable content, such as a build step.
    (issue 5028 [http://issues.hudson-ci.org/browse/HUDSON-5028])
  * Fixed the handling of verifying that the POM path entered for Maven projects exists.
    (issue 4693 [http://issues.hudson-ci.org/browse/HUDSON-4693])
  * Added link to builds in buildTimeTrend
    (issue 3993 [http://issues.hudson-ci.org/browse/HUDSON-3993])
  * Fixed a file handle leak when a copy fails.
    (issue 5899 [http://issues.hudson-ci.org/browse/HUDSON-5899])
  * Replace '>' with '_' in username, as already done for '<'.
    (issue 5833 [http://issues.hudson-ci.org/browse/HUDSON-5833])
  * Fix editableComboBox to select item when mouse click takes more than 100ms.
    (issue 2722 [http://issues.hudson-ci.org/browse/HUDSON-2722])
  * Fixed NPE when configuring a view without "Regular expression".
  * Page shouldn't scroll up when the user opens/closes a stack trace in the test failure report.
  * Fixed a bug where Hudson can put a wrong help file link.
    (report [http://n4.nabble.com/Resolution-of-help-files-in-jelly-entries-tp1592533p1592533.html])
  * Fixed Maven site goal archiving from slaves.
    (issue 5943 [http://issues.hudson-ci.org/browse/HUDSON-5943])
  * Fixed a regression with NetBeans Hudson plugin progressive console output.
    (issue 5941 [http://issues.hudson-ci.org/browse/HUDSON-5941])
  * Fixed a situation where a failure in plugin start up can prevent massive number of job loss.
  * Supported JBoss EAP 5.0.0 GA.
    (issue 5922 [http://issues.hudson-ci.org/browse/HUDSON-5922])
  * CLI commands on protected Hudson now asks a password interactively, if run on Java6.
  * Added CLI 'login' and 'logout' commands so that you don't have to specify a credential for individual CLI invocation.
  * URLs in the console output are now hyperlinks.
  * Improved the URL annotation logic.
  * Add drag&drop support for f:repeatable lists and use this for the JDK/Ant/Maven installations in global config so these can be reordered.
  * Integrated a new round of community-contributed localizations (ca, es, fi, fr, hi_IN, it, nl, ru, and sv_SE locales.)
  * Regression in 1.350 that can delete old build artifacts.
    (report [http://n4.nabble.com/Warning-about-Hudson-1-350-Could-delete-your-artifacts-td1593483.html])
  * Fix handling of relative paths in alternate settings.xml path for Maven projects.
    (issue 4693 [http://issues.hudson-ci.org/browse/HUDSON-4693])
  * Alternate settings, private repository, profiles, etc were not used in embedded Maven for deploy publisher.
    (issue 4939 [http://issues.hudson-ci.org/browse/HUDSON-4939])
  * Make editableComboBox work in repeatable content, such as a build step.
  * If content is captured using <j:set var="..">..content..</j:set>, fixed this to use proper HTML rendering when appropriate.
  * '<' and '&' in the console output was not escaped since 1.349
    (issue 5852 [http://issues.hudson-ci.org/browse/HUDSON-5852])
  * Fixed an AbstractMethodError in SCM polling under some circumstances.
    (issue 5756 [http://issues.hudson-ci.org/browse/HUDSON-5756])
  * Fixed a ClassCastException in the Subversion plugin - now using Subversion plugin 1.13.
    (issue 5827 [http://issues.hudson-ci.org/browse/HUDSON-5827])
  * The Maven Integration plugin link in the Update Center was going to a dead location.
    (issue 4811 [http://issues.hudson-ci.org/browse/HUDSON-4811])
  * On RPM/DEB/etc installation, don't offer the self upgrade. It should be done by the native package manager.
    (report [http://n4.nabble.com/RPM-for-Hudson-1-345-does-not-Upgrade-Automatically-tp1579580p1579580.html])
  * Fixed a possible lock up of slaves.
  * Added advanced option to LogRotator to allow for removing artifacts from old builds without removing the logs, history, etc.
    (issue 834 [http://issues.hudson-ci.org/browse/HUDSON-834])
  * Authentication support in Hudson CLI.
    (issue 3796 [http://issues.hudson-ci.org/browse/HUDSON-3796])
  * Added console annotation support to SCM polling logs.
  * Fix deserialization problem with fields containing double underscore.
    (issue 5768 [http://issues.hudson-ci.org/browse/HUDSON-5768])
  * Fix deserialization problem for Exception objects where the XML has bad/old data.
    (issue 5769 [http://issues.hudson-ci.org/browse/HUDSON-5769])
  * Fix serialization problem with empty CopyOnWriteMap.Tree.
    (issue 5776 [http://issues.hudson-ci.org/browse/HUDSON-5776])
  * Fixed a bug that can cause 404 in the form validation check.
  * Remote build result submission shouldn't hang forever even if Hudson goes down.
  * Added a monitor for old or unreadable data in XML files and a manage screen to assist in updating files to the current data format and/or removing unreadable data from plugins that are no longer active. "Manage Hudson" page will show a link if any old/unreadable data was detected.
  * Added a mechanism to bundle init.groovy inside the war for OEM.
    (report [http://n4.nabble.com/preconfigured-hudson-war-tp1575216p1575216.html])
  * Added an extension point to annotate console output.
    (issue 2137 [http://issues.hudson-ci.org/browse/HUDSON-2137])
  * Fixed a performance problem of the job/build top page when there are too many artifacts.
  * Improved /etc/shadow permission checks.
  * Fix javascript problem showing test failure detail for test name with a quote character.
    (issue 1544 [http://issues.hudson-ci.org/browse/HUDSON-1544])
  * Hudson can incorrectly configure labels for the master when bleeding edge EC2 plugin is used.
  * Fixed the regression wrt the whitespace trimming caused by 1.346.
    (issue 5633 [http://issues.hudson-ci.org/browse/HUDSON-5633])
  * Under some circumstances, Hudson can incorrectly delete the temporary directory itself.
    (issue 5642 [http://issues.hudson-ci.org/browse/HUDSON-5642])
  * Newlines in MAVEN_OPTS environment variable can cause problems in other contexts.
    (issue 5651 [http://issues.hudson-ci.org/browse/HUDSON-5651])
  * Improved the form validation mechanism to support multiple controls.
    (issue 5610 [http://issues.hudson-ci.org/browse/HUDSON-5610])
  * Added message to slave log when it has successfully come online.
    (issue 5630 [http://issues.hudson-ci.org/browse/HUDSON-5630])
  * Maven modules should not be buildable when the parent project is disabled.
    (issue 1375 [http://issues.hudson-ci.org/browse/HUDSON-1375])
  * Fixed the broken quiet period implementation when polling interval is shorter than the quiet period. (Changes in SCM impls are needed for this to take effect.)
    (issue 2180 [http://issues.hudson-ci.org/browse/HUDSON-2180])
  * Escape username in URLs in case it contains special characters such as "#".
    (issue 2610 [http://issues.hudson-ci.org/browse/HUDSON-2610])
  * Fix sidepanel link for People to be visible and show view-specific info when appropriate.
    (issue 5443 [http://issues.hudson-ci.org/browse/HUDSON-5443])
  * Improved HTML rendering, not using closing tags that do not exist in HTML.
    (issue 5458 [http://issues.hudson-ci.org/browse/HUDSON-5458])
  * Show better error message for missing view type selection when creating a view.
    (issue 5469 [http://issues.hudson-ci.org/browse/HUDSON-5469])
  * Hudson wasn't properly streaming a large external build submission, which can result in OOME and unresponsiveness.
  * Use fixed-width font in text area for shell/batch build steps.
    (issue 5471 [http://issues.hudson-ci.org/browse/HUDSON-5471])
  * Use user selected icon size on People page.
    (issue 5447 [http://issues.hudson-ci.org/browse/HUDSON-5447])
  * Speed/footprint improvement in the HTML rendering.
  * Update center retrieval, "build now" link, and real-time console update was broken in 1.344.
    (issue 5536 [http://issues.hudson-ci.org/browse/HUDSON-5536])
  * Fixed the backward incompatibility introduced in HUDSON-5391 fix in 1.344.
    (issue 5391 [http://issues.hudson-ci.org/browse/HUDSON-5391])
  * Removed the forced upper casing in parameterized builds.
    (issue 5391 [http://issues.hudson-ci.org/browse/HUDSON-5391])
  * Password parameter on the disk should be encrypted.
    (issue 5420 [http://issues.hudson-ci.org/browse/HUDSON-5420])
  * Duplicate entries on Upstream/Downstream project with "Build modules in parallel".
    (issue 5293 [http://issues.hudson-ci.org/browse/HUDSON-5293])
  * "Projects tied on" should be "Projects tied to".
    (issue 5451 [http://issues.hudson-ci.org/browse/HUDSON-5451])
  * Fixed the bug that prevents update center metadata retrieval in Jetty.
    (issue 5210 [http://issues.hudson-ci.org/browse/HUDSON-5210])
  * Show which plugins have already been upgraded in Plugin Manager.
    (issue 2313 [http://issues.hudson-ci.org/browse/HUDSON-2313])
  * Show Hudson upgrade status on manage page instead of offering same upgrade again.
    (issue 3055 [http://issues.hudson-ci.org/browse/HUDSON-3055])
  * Make badges in build history line up.
    (report [http://n4.nabble.com/Align-lock-sign-of-keep-build-forever-td1016427.html])
  * Don't report a computer as idle if it running the parent job for a matrix project.
    (issue 5049 [http://issues.hudson-ci.org/browse/HUDSON-5049])
  * Improve error message for a name conflict when renaming a job.
    (issue 1916 [http://issues.hudson-ci.org/browse/HUDSON-1916])
  * Job description set via the remote API was not saved.
    (issue 5351 [http://issues.hudson-ci.org/browse/HUDSON-5351])
  * Work around a JVM bug on Windows that causes the "Access denied" error while creating a temp file.
    (issue 5313 [http://issues.hudson-ci.org/browse/HUDSON-5313])
  * Fixed a NPE in the update center with the container authentication mode.
    (issue 5382 [http://issues.hudson-ci.org/browse/HUDSON-5382])
  * Global MAVEN_OPTS for Maven projects wasn't getting loaded properly for configuration.
    (issue 5405 [http://issues.hudson-ci.org/browse/HUDSON-5405])
  * Fix for parameterized project with choice parameter value that has < or > character.
    (report [http://n4.nabble.com/Fwd-IllegalArgumentException-when-use-parametrised-build-with-choice-parametr-td1311451.html#a1311451])
  * Build queue was showing some of the items in the wrong order — it should show new ones first and old ones later.
  * Move form to adjust logging levels to its own page and include table of configured levels.
    (issue 2210 [http://issues.hudson-ci.org/browse/HUDSON-2210])
  * Allow the administrator to control the host names via a system property "host.name" per slave, in case auto-detection fails.
    (issue 5373 [http://issues.hudson-ci.org/browse/HUDSON-5373])
  * Introduced a new extension point for test result parsers.
    (discussion [http://n4.nabble.com/Review-requested-Test-Result-Refactoring-tp978100p978100.html])
  * Data loading is made more robust in the face of linkage failures.
    (issue 5383 [http://issues.hudson-ci.org/browse/HUDSON-5383])
  * Auto-detect if Hudson is run in Solaris SMF [http://www.sun.com/bigadmin/content/selfheal/smf-quickstart.jsp] and provide restart capability.
    (report [http://n4.nabble.com/Self-restart-not-available-when-running-as-Solaris-SMF-tp1289605p1289605.html])
  * Formalized an extension point to control priority among builds in the queue.
    (issue 833 [http://issues.hudson-ci.org/browse/HUDSON-833])
  * Commands run on slaves (such as SCM operations) were not printed to the log the way they would be when run on master.
    (issue 5296 [http://issues.hudson-ci.org/browse/HUDSON-5296])
  * Downstream jobs could fail to trigger when using per-project read permissions.
    (issue 5265 [http://issues.hudson-ci.org/browse/HUDSON-5265])
  * Update lastStable/lastSuccessful symlinks on filesystem later in build process to avoid incorrectly updating links when build fails in post-build actions, and links briefly pointing to a build that is not yet complete.
    (issue 2543 [http://issues.hudson-ci.org/browse/HUDSON-2543])
  * Debian package no longer changes the permissions and owner of the jobs and .ssh directory. This is to improve upgrade speed and so that ssh works properly after upgrading.
    (issue 4047 [http://issues.hudson-ci.org/browse/HUDSON-4047] and issue 5112 [http://issues.hudson-ci.org/browse/HUDSON-5112])
  * Automatic tool installation wasn't honoring proxy setting.
    (issue 5271 [http://issues.hudson-ci.org/browse/HUDSON-5271])
  * Fixed a bug that induces a NPE during list view column construction.
    (issue 5061 [http://issues.hudson-ci.org/browse/HUDSON-5061])
  * Fixed a bug that can cause Hudson to fail to encode non-ASCII characters in URL.
    (issue 5155 [http://issues.hudson-ci.org/browse/HUDSON-5155])
  * Added "process-test-classes" phase to Maven intercepter.
    (issue 2226 [http://issues.hudson-ci.org/browse/HUDSON-2226])
  * Fixed a regression in the remote API in 1.341.
    (report [http://n4.nabble.com/GZIP-encoded-response-only-for-css-js-resources-tp1010358p1010358.html])
  * Improved error diagnostics when failing to auto install Maven/Ant.
    (issue 5272 [http://issues.hudson-ci.org/browse/HUDSON-5272])
  * Infer the default e-mail address more smartly with user IDs like "DOMAIN\user" (often seen in Windows)
    (issue 5164 [http://issues.hudson-ci.org/browse/HUDSON-5164])
  * The hudson.model.Run.ArtifactList.treeCutoff property should not limit the number of artifacts shown by the API.
    (issue 5247 [http://issues.hudson-ci.org/browse/HUDSON-5247])
  * Spanish translation made a great progress.
  * Completed fix started in 1.325 for updating bundled plugins, now working when security is enabled.
    (issue 3662 [http://issues.hudson-ci.org/browse/HUDSON-3662])
  * TemporarySpaceMonitor and DiskSpaceMonitor fail to instantiate on fresh systems.
    (issue 5162 [http://issues.hudson-ci.org/browse/HUDSON-5162])
  * /tmp space monitoring didn't work if /tmp is filled up completely.
  * Plugins can now control how builds are triggered when they declare downstream jobs.
    (issue 5236 [http://issues.hudson-ci.org/browse/HUDSON-5236])
  * Hudson now detects a cyclic dependencies among plugins and report the error gracefully.
  * Extension points can now contribute multiple actions.
  * Responses to remote API calls now honor the "Accept-Encoding" header.
    (report [http://n4.nabble.com/GZIP-encoded-response-only-for-css-js-resources-tp1010358p1010358.html])
  * Link to project changes summary instead of this build's changes for "still unstable" email.
    (issue 3283 [http://issues.hudson-ci.org/browse/HUDSON-3283])
  * SCM retry count and "Block build when upstream project is building" is now available on matrix projects.
    (report [http://n4.nabble.com/Advanced-configuration-in-matrix-projects-td1011215.html#a1011215])
  * Non ASCII chars get mangled when a new user is created.
    (issue 2026 [http://issues.hudson-ci.org/browse/HUDSON-2026])
  * Fixed garbled mail text when default encoding is not UTF-8.
    (issue 1811 [http://issues.hudson-ci.org/browse/HUDSON-1811])
  * Fixed a bug in the log rotation setting of RPM packages.
    (report [http://n4.nabble.com/Hudson-logrotate-for-RPM-incorrect-tp999444p999444.html])
  * Added a new CLI command to obtain list of changes by specifying builds.
  * Improved memory/swap monitoring on Solaris systems that doesn't have the 'top' command.
    (report [http://n4.nabble.com/Version-1-329-Java-Error-2-tp387349p387349.html])
  * User IDs in Hudson are now case preserving but case insensitive.
    (issue 4354 [http://issues.hudson-ci.org/browse/HUDSON-4354])
  * CVS support is separated into a plugin, although it's still bundled by default for compatibility.
    (issue 3101 [http://issues.hudson-ci.org/browse/HUDSON-3101])
  * slave.jar incorrectly shipped with a version number indicating a private build.
    (issue 5138 [http://issues.hudson-ci.org/browse/HUDSON-5138])
  * Global MAVEN_OPTS weren't saving due to TopLevelItemDescriptors not being configured in global configuration.
    (issue 5142 [http://issues.hudson-ci.org/browse/HUDSON-5142])
  * Make maven project more resilient to exceptions from plugins.
    (issue 3279 [http://issues.hudson-ci.org/browse/HUDSON-3279])
  * Add the ability to configure low-disk space thresholds.
    (issue 2552 [http://issues.hudson-ci.org/browse/HUDSON-2552])
  * Allow BuildWrapper tearDown code to detect when the build has failed.
    (issue 2485 [http://issues.hudson-ci.org/browse/HUDSON-2485])
  * Add help regarding "Auto" repository browser selection and add support for this in Subversion plugin.
    (issue 2082 [http://issues.hudson-ci.org/browse/HUDSON-2082])
  * Introduced a mechanism so that writing XSS-free code is easier.
    (discussion [http://wiki.hudson-ci.org/display/HUDSON/Jelly+and+XSS+prevention])
  * Maven projects will now use per-project MAVEN_OPTS if defined first, then global MAVEN_OPTS if defined, and finally as fallback, MAVEN_OPTS environment variable on executor.
    (issue 2932 [http://issues.hudson-ci.org/browse/HUDSON-2932])
  * Expose upstream cause details via remote API.
    (issue 5074 [http://issues.hudson-ci.org/browse/HUDSON-5074])
  * Matrix parent build shouldn't consume an executor.
    (issue 936 [http://issues.hudson-ci.org/browse/HUDSON-936])
  * Exceptions in one publisher shouldn't block all other publishers from running.
    (issue 5023 [http://issues.hudson-ci.org/browse/HUDSON-5023])
  * Fixed OutOfMemoryError in JNLP slaves that are running for too long.
    (issue 3406 [http://issues.hudson-ci.org/browse/HUDSON-3406])
  * Auto installer for Maven couldn't be configured after the fact.
  * Fixed a bug that the form field validation couldn't handle <select> box.
    (report [http://n4.nabble.com/f-validateButton-of-a-select-field-s-value-tp948691p948691.html])
  * Fixed a possible "XYZ is missing its descriptor" storm.
    (issue 5067 [http://issues.hudson-ci.org/browse/HUDSON-5067])
  * Group available plugins in Plugin Manager by category.
    (issue 1836 [http://issues.hudson-ci.org/browse/HUDSON-1836])
  * Add sorting and link to directory browser for artifact list and tree display.
    (issue 4976 [http://issues.hudson-ci.org/browse/HUDSON-4976])
  * Make links in build history for a view stay under that view.
    (issue 5021 [http://issues.hudson-ci.org/browse/HUDSON-5021])
  * Automatically install dependent plugins.
    (issue 4983 [http://issues.hudson-ci.org/browse/HUDSON-4983])
  * Implemented a proper serialization of multi-classloader object graph.
    (issue 5048 [http://issues.hudson-ci.org/browse/HUDSON-5048])
  * Update or remove lastSuccessful/lastStable symlinks on filesystem as appropriate when a build is deleted.
    (issue 1986 [http://issues.hudson-ci.org/browse/HUDSON-1986])
  * In-demand strategy could not relaunch slave nodes since 1.302.
    (issue 3890 [http://issues.hudson-ci.org/browse/HUDSON-3890])
  * Actual cause for slave going offline was always masked by channel-terminated cause.
  * Improved display of why a slave is offline (don't incorrectly say "failed to launch").
  * Improved the error diagnostics on the failure to establish connection with JNLP slaves early on.
  * Fix so configure-slave permission actually allows configuration of slaves.
  * User pages showed add/edit description link to users without permission to edit, and guests were allowed to edit the user profile for anonymous user.
  * Debian package now demands full JRE, not just a headless JRE.
    (issue 4879 [http://issues.hudson-ci.org/browse/HUDSON-4879])
  * Avoid exception if a plugin provides null for a dynamic node label.
    (issue 4924 [http://issues.hudson-ci.org/browse/HUDSON-4924])
  * If restart is not supported, explain why.
    (issue 4876 [http://issues.hudson-ci.org/browse/HUDSON-4876])
  * Matrix configuration builds should continue even when Hudson is about to shut down.
    (issue 4873 [http://issues.hudson-ci.org/browse/HUDSON-4873])
  * Send build status email to valid addresses rather than aborting for one invalid address.
    (issue 4927 [http://issues.hudson-ci.org/browse/HUDSON-4927])
  * Smart JDK/Maven/Ant auto installers aren't available for existing tool configurations.
  * Hudson can now run gracefully (albeit bit slowly) where JNA is not available.
    (issue 4820 [http://issues.hudson-ci.org/browse/HUDSON-4820])
  * Add ability to delete users from Hudson.
    (issue 1867 [http://issues.hudson-ci.org/browse/HUDSON-1867])
  * Gracefully detect the double loading of JNA instead of failing later with NoClassDefFoundError (detail [http://wiki.hudson-ci.org/display/HUDSON/JNA+is+already+loaded])
  * Introduced a structure around the initialization process for better reporting and etc.
  * Debian packages creates Hudson user with /bin/bash to accomodate some tools that want a valid shell.
    (issue 4830 [http://issues.hudson-ci.org/browse/HUDSON-4830])
  * Space in axis value for matrix type project was lost on reconfiguration.
    (issue 2360 [http://issues.hudson-ci.org/browse/HUDSON-2360])
  * Remember me did not work with unix authentication.
    (issue 3057 [http://issues.hudson-ci.org/browse/HUDSON-3057])
  * Node variables not passed through to Maven jobs.
    (issue 4030 [http://issues.hudson-ci.org/browse/HUDSON-4030])
  * Fix handling of non-ASCII characters in external job submission.
    (issue 4877 [http://issues.hudson-ci.org/browse/HUDSON-4877])
  * Job assigned to label that no longer has any nodes generates exception since 1.330.
    (issue 4878 [http://issues.hudson-ci.org/browse/HUDSON-4878])
  * Custom workspace on Windows with just a drive letter or using forward slashes in path failed to build in 1.334.
    (issue 4894 [http://issues.hudson-ci.org/browse/HUDSON-4894])
  * Core version number in plugin manager warning message was missing in 1.334.
  * Matrix build wasn't showing their full name in the executor list on the left.
  * Hudson's UDP broadcast/discovery now supports IP multicast.
  * Fixed a possible exception in submitting forms and obtaining update center metadata with Winstone in 1.333.
    (issue 4804 [http://issues.hudson-ci.org/browse/HUDSON-4804])
  * Remoting layer was unable to kill remote processes. Prevented Mercurial plugin from implementing poll timeout on slaves.
    (issue 4611 [http://issues.hudson-ci.org/browse/HUDSON-4611])
  * Display of console output as plain text did not work in browsers since 1.323.
    (issue 4557 [http://issues.hudson-ci.org/browse/HUDSON-4557])
  * Show "Latest Test Results" link even when a new build is running.
    (issue 4580 [http://issues.hudson-ci.org/browse/HUDSON-4580])
  * Fix broken links for failed tests on build page for a matrix type project.
    (issue 4765 [http://issues.hudson-ci.org/browse/HUDSON-4765])
  * "Enable project-based security" always comes up unchecked on configure pages in 1.333, so project permissions are lost if not rechecked before clicking Save.
    (issue 4826 [http://issues.hudson-ci.org/browse/HUDSON-4826])
  * Project read permission was not enforced via /jobCaseInsensitive/jobname path.
  * Project configuration could be modified via POST to /job/jobname/config.xml with only "Extended Read" permission but not configure permission.
  * Fixed the over zealous escaping in the inlined unit test failure report.
  * Fixed OutOfMemoryError in Winp
    (issue 4058 [http://issues.hudson-ci.org/browse/HUDSON-4058])
  * Write log message and ignore unrecognized permissions when loading XML.
    (issue 4573 [http://issues.hudson-ci.org/browse/HUDSON-4573])
  * Fix in stapler so we don't redirect to "." which causes problem in some containers.
    (issue 4787 [http://issues.hudson-ci.org/browse/HUDSON-4787])
  * List counts for duplicate cause entries for a build rather than listing many times.
    (issue 4831 [http://issues.hudson-ci.org/browse/HUDSON-4831])
  * Plugin manager now shows warning for upgrade/install of plugins into a Hudson that is older than the plugin was built for.
    (issue 541 [http://issues.hudson-ci.org/browse/HUDSON-541])
  * CLI "build" command now supports passing parameters.
  * Job should provide doDescription to allow easy manipulation over http
    (issue 4802 [http://issues.hudson-ci.org/browse/HUDSON-4802])
  * Improvement in the caching of the view templates.
  * Added new SaveableListener to be called when objects implementing Saveable are saved.
  * Fixed a performance problem in the file upload with Winstone.
    (report [http://d.hatena.ne.jp/tosik/20091026/1256553925])
  * Allow non-absolute URLs in sidebar links that do not end with slash character.
    (issue 4720 [http://issues.hudson-ci.org/browse/HUDSON-4720])
  * Build other projects "even when unstable" option was not working with Maven projects.
    (issue 4739 [http://issues.hudson-ci.org/browse/HUDSON-4739])
  * When renaming a log recorder, check new name uses valid characters, remove config file for old name and redirect to new name after save.
  * Fixed ArrayIndexOutOfBoundsException in my view.
    (report [http://old.nabble.com/Stack-trace-from-My-Views-ts26121656.html])
  * Fixed a race condition in interrupting pending remote calls.
  * Retry shouldn't kick in if the build is aborted during checkout.
  * Hudson now sends "Accept-Ranges" header where it's supported.
    (report [http://www.nabble.com/206-response-code-HTTP-1.1-Range-header-td25888373.html])
  * Hudson is internally capable of supporting multiple update sites.
  * Added a new "safe-restart" CLI command, also accessible at "/safeRestart", and used for post-upgrade/plugin install restart.
    (issue 4553 [http://issues.hudson-ci.org/browse/HUDSON-4553])
  * Added "delete-builds" CLI command for bulk build record deletion.
  * Supported a relative path in the custom workspace directory, which resolves from FS root of the slave.
  * Fixed another NotExportableException when making a remote API call on a project. Broke NetBeans integration and possibly others.
    (issue 4760 [http://issues.hudson-ci.org/browse/HUDSON-4760])
  * Fixed a regression in 1.331 where previously disabled plugins and their artifacts in build.xml can cause build records to fail to load.
    (issue 4752 [http://issues.hudson-ci.org/browse/HUDSON-4752])
  * Fixed NotExportableException when making a remote API call on a project.
    (report [https://hudson.dev.java.net/servlets/BrowseList?list=users&by=thread&from=2222483])
  * Fixed IllegalArgumentException: name
    (report [http://old.nabble.com/bug-1.331-to26145963.html])
  * Fixed a memory leak problem with the groovysh Hudson CLI command.
    (issue 4618 [http://issues.hudson-ci.org/browse/HUDSON-4618])
  * CVS changelog reports were incorrect if built from tags.
    (issue 1816 [http://issues.hudson-ci.org/browse/HUDSON-1816])
  * Upstream projects list was lost when saving matrix type project.
    (issue 3607 [http://issues.hudson-ci.org/browse/HUDSON-3607])
  * slave.jar now supports HTTP BASIC auth.
    (issue 4071 [http://issues.hudson-ci.org/browse/HUDSON-4071])
  * Fixed a problem where taglibs defined in plugins cannot be seen from other plugins.
    (report [http://www.nabble.com/Declaring-jelly-tag-lib-in-plugin-and-reusing-in-another-plugin-td25890803.html])
  * Improved the UI of taking a node offline.
  * Added improved logging for exceptions encountered when attempting to invoke Maven in Maven projects.
    (issue 3273 [http://issues.hudson-ci.org/browse/HUDSON-3273])
  * Automated tool downloads are made more robust by using HTTP download retries.
  * SCM information is now exposed via the remote API.
  * Added the "install-plugin" command to install plugins from CLI.
    (report [http://www.nabble.com/Setup-for-using-Hudson-to-deploy-into-Hudson-td25962271.html])
  * Fixed NoSuchMethodError error during error recovery with Maven 2.1.
    (issue 2373 [http://issues.hudson-ci.org/browse/HUDSON-2373])
  * RemoteClassLoader does not persist retrieved classes with package structure
    (issue 4657 [http://issues.hudson-ci.org/browse/HUDSON-4657])
  * Update center switched over from https://hudson.dev.java.net/ to http://hudson-ci.org/
  * Use tree view to show 17-40 build artifacts on build/project pages.
    (issue 2280 [http://issues.hudson-ci.org/browse/HUDSON-2280])
  * When showing why a build is pending, Hudson now puts hyperlinks to node/label/project names.
  * Custom workspace is now subject to the variable expansion.
    (issue 3997 [http://issues.hudson-ci.org/browse/HUDSON-3997])
  * Fixed UI selector (hetero-list) to handle nested selectors (resolves conflict between Promoted Builds and Parameterized Trigger plugins).
    (issue 4414 [http://issues.hudson-ci.org/browse/HUDSON-4414])
  * Fixed incremental Maven build behavior to properly handle new modules without hitting NPE.
    (issue 4624 [http://issues.hudson-ci.org/browse/HUDSON-4624])
  * Added the "build" CLI command that can not only schedule a new build, but also wait until its completion.
  * Made visibility rules of test result remote API consistent with those for individual test cases.
  * Fixed a bug in the HTTP Range header handling.
    (report [http://www.nabble.com/206-response-code-HTTP-1.1-Range-header-td25888373.html])
  * Fixed a bug in .cvspass form field persistence.
    (issue 4456 [http://issues.hudson-ci.org/browse/HUDSON-4456])
  * Overview of all SCM polling activity was never showing any entries.
    (issue 4609 [http://issues.hudson-ci.org/browse/HUDSON-4609])
  * Fixed a bogus IOException in the termination of CLI.
  * Fixed a bug in the form submission logic of the SMTP authentation configuration.
    (report [http://www.nabble.com/error-configuring-SMTP-Gmail-with-Hudson-td25736116.html])
  * Hudson shouldn't store SMTP auth password in a clear text.
    (report [http://www.nabble.com/error-configuring-SMTP-Gmail-with-Hudson-td25736116.html])
  * Improved the form validation in global e-mail configurations.
    (report [http://www.nabble.com/error-configuring-SMTP-Gmail-with-Hudson-td25736116.html])
  * Worked around a possible Windows slave hang on start up. (details [http://wiki.hudson-ci.org/display/HUDSON/Windows+slaves+fail+to+start+via+ssh])
  * Inability to access hudson.dev.java.net shouldn't prevent Hudson from working.
    (issue 4590 [http://issues.hudson-ci.org/browse/HUDSON-4590])
  * Added a CLI command install-tool to invoke a tool auto-installation from Hudson CLI.
    (report [http://www.nabble.com/Passing-env-variables-automatically-td25584186.html])
  * Added column on plugin updates page showing currently installed version.
  * Build page now shows where the build was done.
  * Job-enabling API should reject GET requests
    (issue 3721 [http://issues.hudson-ci.org/browse/HUDSON-3721])
  * Added an extension point for inserting actions across all projects without configuration.
    (report [http://www.nabble.com/Howto-expose-action-for-every-job-without-configuration--td25638153.html])
  * stdout, stderr, error details and the stack trace can be filtered out of the remote API representation of a test case with the depth parameter.
    (discussion [http://www.nabble.com/Change-remote-API-visibility-for-CaseResult.getStdout-getStderr-td25619046.html])
  * Hudson fails to update a plugin due to a bug in the up-to-date check logic.
    (issue 4353 [http://issues.hudson-ci.org/browse/HUDSON-4353])
  * Self restart was not working on Solaris 64bit JVM.
  * Fixed a possible NoSuchElementException in Hudson start up.
  * "Redeploy Maven artifacts" GUI causes NPE.
  * Permission check was missing for file mask validators.
  * Fixed a problem regarding SCM plugin evolution and SCM browser settings, as observed in the Mercurial plugin.
    (issue 4514 [http://issues.hudson-ci.org/browse/HUDSON-4514])
  * Update center wasn't capable of updating bundled plugins, such as subversion.
  * Fixed a problem in the up-to-date check of the plugin extraction.
    (issue 4353 [http://issues.hudson-ci.org/browse/HUDSON-4353])
  * Fixed a bug in the Debian package init script.
    (issue 4304 [http://issues.hudson-ci.org/browse/HUDSON-4304])
  * Fixed an NPE in MavenBuild$RunnerImpl.decideWorkspace
    (issue 4226 [http://issues.hudson-ci.org/browse/HUDSON-4226])
  * "Test e-mail" feature in the system configuration page wasn't taking most of the parameters from the current values of the form.
    (issue 3983 [http://issues.hudson-ci.org/browse/HUDSON-3983])
  * If a Maven project is built with "-N" or "--non-recursive" in the goals, it will not attempt to load and parse the POMs for any modules defined in the root POM.
    (issue 4491 [http://issues.hudson-ci.org/browse/HUDSON-4491])
  * Update center will create *.bak files to make it easier for manual roll back of botched upgrades.
  * Vastly improved the default MIME type table of the built-in servlet container.
  * Javadoc location is now subject to the variable expansions.
    (issue 3942 [http://issues.hudson-ci.org/browse/HUDSON-3942])
  * JNLP clients now report the reason when the connection is rejected by the master.
    (issue 3889 [http://issues.hudson-ci.org/browse/HUDSON-3889])
  * Added call to MailSender in RunnerImpl.cleanUp so that mail gets sent for top-level Maven project as well as individual modules. This means mail will be sent if there are POM parsing errors, etc.
    (issue 1066 [http://issues.hudson-ci.org/browse/HUDSON-1066])
  * Default value for password parameter in a parameterized project was not saved.
    (issue 4333 [http://issues.hudson-ci.org/browse/HUDSON-4333])
  * Run sequentially option for Matrix project was not visible unless Axes was checked.
    (issue 4366 [http://issues.hudson-ci.org/browse/HUDSON-4366])
  * Fix launching Windows slave for slave name with space or other characters needed encoding.
    (issue 4392 [http://issues.hudson-ci.org/browse/HUDSON-4392])
  * Support authentication when running java -jar hudson-core-*.jar using username/password included in HUDSON_HOME URL; also removed dependency on winstone.jar.
    (issue 4400 [http://issues.hudson-ci.org/browse/HUDSON-4400])
  * Fixed links on age values in JUnit test reports.
    (issue 4402 [http://issues.hudson-ci.org/browse/HUDSON-4402])
  * Maven project POM parser now ignores empty modules or modules only containing whitespace, matching Maven's behavior.
    (issue 4442 [http://issues.hudson-ci.org/browse/HUDSON-4442])
  * Fixed setting of "blockBuildWhenUpstreamBuilding" for AbstractProject - wasn't being set at all, or displayed.
    (issue 4423 [http://issues.hudson-ci.org/browse/HUDSON-4423])
  * Handling of URLs with encoded character at end of a path component did not work in 1.323.
    (issue 4454 [http://issues.hudson-ci.org/browse/HUDSON-4454])
  * Fixed some field validators to work for values including + character.
  * Fixed the charset encoding handling when different encodings are involved between the master and slaves. (patch [http://www.nabble.com/Build-log%%27s-charset-problem.-td25424831.html])
  * Fixed a bug in the workspace archive support.
    (issue 4039 [http://issues.hudson-ci.org/browse/HUDSON-4039])
  * Added client-side validator for required fields and used this to replace some AJAX calls.
  * JNLP clients perform periodic ping to detect terminated connections and recover automatically.
    (report [http://www.nabble.com/Trying-to-investigate-JNLP-disconnection-issues-to25467992.html])
  * Creation of symlinks failed (or created in wrong location) since 1.320.
    (issue 4301 [http://issues.hudson-ci.org/browse/HUDSON-4301])
  * Fixed a NoClassDefFoundError problem that happens in remoting+maven+3rd plugin combo. report [http://www.nabble.com/NoClassDefFoundError%%3A-hudson-maven-MavenBuildProxy%%24BuildCallable-td24719002.html#a24719002]
  * Raw console output was doing XML escaping for '&' and '<' but it shouldn't.
  * Manually wiping out a workspace from GUI can cause NPE with some SCM plugins.
  * Fixed ClassCastException in JavaMail with some application servers.
    (issue 1261 [http://issues.hudson-ci.org/browse/HUDSON-1261])
  * Fixed a bug in the tabular display of matrix projects.
    (issue 4245 [http://issues.hudson-ci.org/browse/HUDSON-4245])
  * Avoid division by zero error in swap space monitor.
    (issue 4284 [http://issues.hudson-ci.org/browse/HUDSON-4284])
  * Avoid duplicate My Views links after Reload configuration from disk.
    (issue 4272 [http://issues.hudson-ci.org/browse/HUDSON-4272])
  * Removed need for hack that lowered build health scores by one, so now 4/5 is reported as 80 instead of 79.
    (issue 4286 [http://issues.hudson-ci.org/browse/HUDSON-4286])
  * Fixed renaming a job to a name that includes a + character.
  * Matrix project did not properly handle axis values with some special characters such as slash.
    (issue 2670 [http://issues.hudson-ci.org/browse/HUDSON-2670])
  * Added validation for axis names in Matrix project.
  * Ajax validator for name of a new job now warns about invalid characters.
  * Maven builder in freestyle projects now supports "Use private repository" option.
    (issue 4205 [http://issues.hudson-ci.org/browse/HUDSON-4205])
  * Maven incremental builds now rebuild failed/unstable modules from previous builds, even if they are unchanged.
    (issue 4152 [http://issues.hudson-ci.org/browse/HUDSON-4152])
  * Labels are listed in lexicographic order.
    (report [http://www.nabble.com/selenium-grid-overview%%3A-labels-sometimes-inversed-td25049542.html])
  * Labels for nodes are shown in a tag cloud style. (patch [http://www.nabble.com/labels---tagcloud-style-display-td25131812.html])
  * Exposing load statistics to the remote API.
    (report [http://www.nabble.com/time-in-queue-td25127970.html])
  * Make dynamic labelling of nodes clearer and easier to work with.
  * Plugins can mark themselves as incompatible with earlier versions to notify users during upgrade.
    (issue 4056 [http://issues.hudson-ci.org/browse/HUDSON-4056])
  * Footer now includes a timestamp.
  * Advanced option now available for all project types to keep builds in queue while upstream projects are building. Off by default.
    (issue 1938 [http://issues.hudson-ci.org/browse/HUDSON-1938])
  * Fixed a bug in Winstone that hides the root cause of exceptions.
  * NPE in Subversion polling problem.
    (issue 4299 [http://issues.hudson-ci.org/browse/HUDSON-4299])
  * Changing credential in Subversion can still result in "svn authentication cancelled"
    (issue 3936 [http://issues.hudson-ci.org/browse/HUDSON-3936])
  * Debian init script now uses "su" to properly initialize the environment.
    (issue 4304 [http://issues.hudson-ci.org/browse/HUDSON-4304])
  * "Tag this build" was failing.
    (issue 4018 [http://issues.hudson-ci.org/browse/HUDSON-4018])
  * Build history AJAX update was buggy.
  * Failed Junit tests will display error message and stacktrace even when no additional TestDataPublishers are attached to the project.
    (issue 4257 [http://issues.hudson-ci.org/browse/HUDSON-4257])
  * Maven test failures will again properly mark a build as unstable, even if later task segments are successful.
    (issue 4177 [http://issues.hudson-ci.org/browse/HUDSON-4177])
  * Matrix permissions with LDAP now properly validates group names using configured prefix and case settings; added help text about these settings.
    (issue 3459 [http://issues.hudson-ci.org/browse/HUDSON-3459])
  * Improved the debian package to set USER and HOME.
    (report [http://www.nabble.com/Debian-Hudson-daemon-runs-as-separate-user-but-still-env-reports--USER%%3Droot-td24979804.html])
  * Failed to look up an e-mail address for LDAP users shouldn't cause a build to fail.
    (report [http://www.nabble.com/Build-fails-with-FATAL%%3A-Bad-credentials-td25005592.html])
  * Fixed a possible NPE in Hudson.removeNode
    (report [http://www.nabble.com/problems-adding-deleting-nodes-p24999793.html])
  * Debian start-up script should inherit LANG and other key environment variables.
  * Dynamic label computation wasn't re-done properly for the master node.
    (issue 4235 [http://issues.hudson-ci.org/browse/HUDSON-4235])
  * Form validation for the remote FS root of slaves was not functioning.
  * Privilege escalation on Solaris without username was not working.
  * Hudson can make mistakes in binding plugins to their right /plugin/NAME/ URLs.
    (report [http://www.nabble.com/Custom-Plugin---No-external-resources-available-td25064554.html])
  * Hudson wasn't working on WebLogic on Windows.
    (report [http://www.nabble.com/Re%%3A-Hudson-on-Weblogic-10.3-td25038378.html#a25043415])
  * Fix New Job and Edit View links when default view is not "All" jobs.
    (issue 4212 [http://issues.hudson-ci.org/browse/HUDSON-4212])
  * Revert logger settings when a log recorder is deleted.
    (issue 4201 [http://issues.hudson-ci.org/browse/HUDSON-4201])
  * Add xml header on RSS/atom feeds and fix RSS URLs in header for non-default views.
    (issue 4080 [http://issues.hudson-ci.org/browse/HUDSON-4080], issue 4081 [http://issues.hudson-ci.org/browse/HUDSON-4081])
  * Plugin installation / Hudson upgrade are made more robust in the face of possible connection abortion.
    (report [http://www.ashlux.com/wordpress/2009/08/14/hudson-and-the-sonar-plugin-fail-maveninstallation-nosuchmethoderror/comment-page-1/#comment-26])
  * Global and per-node environment vars are made available to SCM checkout.
    (issue 4124 [http://issues.hudson-ci.org/browse/HUDSON-4124])
  * You can designate certain combinations in a matrix project as "touchstone builds". These will be run first, and the rest of the combinations will run if the touchstone builds are successful.
    (issue 1613 [http://issues.hudson-ci.org/browse/HUDSON-1613])
  * Added BUILD_URL and JOB_URL to the exposed environment variables. (request [http://www.nabble.com/url-for-job-td25015395.html])
  * Added restart CLI command.
  * Fixed an encoding problem in CVS changelog calculation.
    (issue 3979 [http://issues.hudson-ci.org/browse/HUDSON-3979])
  * Environment variables are considered in test paths.
    (issue 3451 [http://issues.hudson-ci.org/browse/HUDSON-3451])
  * A failing test is recorded when JUnit XML is invalid
    (issue 3149 [http://issues.hudson-ci.org/browse/HUDSON-3149])
  * Fixed possible Unable to call getCredential. Invalid object ID race problem.
    (issue 4176 [http://issues.hudson-ci.org/browse/HUDSON-4176])
  * If the timing coincides between polling and build, Hudson ended up creating multiple workspaces for the same job, even when concurrent build is off.
    (issue 4202 [http://issues.hudson-ci.org/browse/HUDSON-4202])
  * Fixed a "Releasing unallocated workspace" assertion error.
    (issue 4206 [http://issues.hudson-ci.org/browse/HUDSON-4206])
  * Fixed NPE in various Maven reporters caused by Hudson core problem.
    (issue 4192 [http://issues.hudson-ci.org/browse/HUDSON-4192])
  * Show warning if zero value entered for #builds/#days to save for discarding old builds
    (issue 4110 [http://issues.hudson-ci.org/browse/HUDSON-4110])
  * Added create-job CLI command.
  * Hudson now tracks why a slave is put offline.
    (issue 2431 [http://issues.hudson-ci.org/browse/HUDSON-2431])
  * User-settable descriptions for tests.
  * A history page with test count and duration charts.
    (issue 2228 [http://issues.hudson-ci.org/browse/HUDSON-2228])
  * A collapsible panel with test error details on the overview pages.
  * Skipped tests counts are included in tables.
    (issue 1820 [http://issues.hudson-ci.org/browse/HUDSON-1820])
  * New tests are shown in bold.
    (issue 2046 [http://issues.hudson-ci.org/browse/HUDSON-2046])
  * JUnit report improvements: A new extension point for contributing to test reports.
  * Improved the start up error handling with slave.jar -jnlpUrl option.
    (report [http://www.nabble.com/Windows-slave-unable-to-connect-after-upgrade-to-1.317-td24726491.html])
  * Made hetero-list's include of descriptor config pages optional, so that descriptors without config.jelly files don't break page rendering. (See here for background. [http://www.nabble.com/claim-plugin-text-finder-plugin-conflict-tc24535708.html]
  * Moved Maven help files to maven-plugin.
    (issue 3527 [http://issues.hudson-ci.org/browse/HUDSON-3527])
  * Hudson shouldn't immediately launch a slave newly created via copy. report [http://www.nabble.com/copying-slave-td24791624.html]
  * Added support for optional alternate Maven settings file for use in embedded Maven for POM parsing as well as actual Maven execution.
    (issue 2575 [http://issues.hudson-ci.org/browse/HUDSON-2575])
  * Added a test button to the PAM configuration to make sure Hudson has read access to /etc/shadow
    (report [http://www.nabble.com/pam-auth-issues-td24698467.html])
  * Users can define their own views
  * Added a /me url that points to the current user
  * Added a new password parameter type to the parameterized builds.
    (report [http://www.nabble.com/Creating-a-new-parameter-Type-%%3A-Masked-Parameter-td24786554.html])
  * Matrix projects can now run sequentially
    (issue 3028 [http://issues.hudson-ci.org/browse/HUDSON-3028])
  * Hudson now allows builds of a single project to execute concurrently.
  * Removed a problematic MIME type entry that prevents Hudson from deploying on JOnAS.
    (report [http://www.nabble.com/Error-with-mime-type--%%27application-xslt%%2Bxml%%27-when-deploying-hudson-1.316-in-jonas-td24740489.html])
  * Hudson can't restart itself on Mac, so don't pretend that it can.
    (report [http://www.nabble.com/Restarting-hudson-not-working-on-MacOS--to24641779.html])
  * Fixed Maven plugin to properly use private repository (when specified) when parsing POMs.
    (issue 4102 [http://issues.hudson-ci.org/browse/HUDSON-4102])
  * Edit Description worked incorrectly when default view is changed from All jobs.
    (issue 4070 [http://issues.hudson-ci.org/browse/HUDSON-4070])
  * Fixed a bug in JDK auto-installation to Windows with directories with whitespaces.
    (issue 4118 [http://issues.hudson-ci.org/browse/HUDSON-4118])
  * Added support for incremental Maven project builds, using Maven's make-like reactor mode [http://docs.codehaus.org/display/MAVEN/Make+Like+Reactor+Mode].
  * Script console can now see classes from all the plugins, not just core.
    (issue 4086 [http://issues.hudson-ci.org/browse/HUDSON-4086])
  * slave.jar now has the -auth option to specify the credential for accessing Hudson
    (report [http://www.nabble.com/Hudson-Linux-Master-%%2B-Windows-Slave-issues-to24679421.html])
  * Debian package now depends on java2-runtime-headless instead of java2-runtime
  * Actions can now contribute environment variables.
    (report [http://www.nabble.com/Plugin-dev%%3A-Builder-and-the-exporting-of-environment-variables.-td24676833.html])
  * Modified the reconnection logic for slaves connecting via JNLP so that it works better with protected Hudson.
    (report [http://www.nabble.com/more-lenient-retry-logic-in-Engine.waitForServerToBack-td24703172.html])
  * Fixed a bug in inferring root DN in non-anonymous LDAP environment.
    (report [http://www.nabble.com/Hudson-non-anonymous-LDAP-broken---td24529557.html])
  * Fixed a MissingResourceException for "Ajp13Listener.ShortPacket"
    (issue 4053 [http://issues.hudson-ci.org/browse/HUDSON-4053])
  * Fixed 500 error when requesting the zip URL.
    (issue 4039 [http://issues.hudson-ci.org/browse/HUDSON-4039])
  * Debian package now has 750 permission on /var/run/hudson and /var/lib/hudson to make ssh work
    (issue 4047 [http://issues.hudson-ci.org/browse/HUDSON-4047])
  * Fixed LinkageError in PAM authentication on Solaris.
    (issue 3546 [http://issues.hudson-ci.org/browse/HUDSON-3546])
  * Fixed a JDK path separator issue between Windows master and Unix slaves.
  * Fixed a memory leak in the remoting layer.
    (issue 4045 [http://issues.hudson-ci.org/browse/HUDSON-4045])
  * Fixed Maven dependency build order logic.
    (issue 2736 [http://issues.hudson-ci.org/browse/HUDSON-2736])
  * Renaming views and jobs, and deleting jobs should use POST instead of GET.
    (discussion [http://www.nabble.com/Changing-some-GETs-to-POSTs-td24401229.html])
  * Improved the error diagnosis of "Processing failed due to a bug in the code"
  * Slaves expose more information via the remote API now.
  * Exported BUILD_ID to the remote API.
    (report [http://www.nabble.com/How-get-BUILD_ID-from-other-project-in-Hudson-td24588627.html])
  * Don't let the slave TCP/IP connection port failure to prevent Hudson start up.
    (report [http://www.nabble.com/%%22java.net.BindException%%3A-Address-already-in-use%%22-blocks-Hudson-td24549943.html])
  * If the user sets up "Hudson's own" security realm, UI now asks the first admin user to be created.
  * Windows service now does log rotation and handles whitespace in path correctly. (This is only applicable to newly installed services.)
    (report [http://www.nabble.com/Windows-Service%%3A-Error-193%%3A-***-is-not-a-valid-Win32-application.-td24586795.html])
  * Matrix configuration should show a test trend.
    (issue 840 [http://issues.hudson-ci.org/browse/HUDSON-840])
  * Fixed a possible NPE in installing Windows service.
    (report [http://d.hatena.ne.jp/ushiday/20090708])
  * Fixed a possible NPE in CrumbFilter.getCrumbIssuer.
    (issue 3986 [http://issues.hudson-ci.org/browse/HUDSON-3986])
  * Login may result in 403 if the user realm is delegated to container.
    (issue 1235 [http://issues.hudson-ci.org/browse/HUDSON-1235])
  * The --logfile option stopped working on Windows.
    (issue 3272 [http://issues.hudson-ci.org/browse/HUDSON-3272])
  * On-demand retention policy almost immediately turns off slaves.
    (issue 3972 [http://issues.hudson-ci.org/browse/HUDSON-3972])
  * Fixed "incomplete LifecycleExecutor" warning with Maven 2.2
    (issue 2373 [http://issues.hudson-ci.org/browse/HUDSON-2373])
  * Fixed a bug in Winstone that may result in "unable to create new native thread" error
    (report [http://www.nabble.com/OutOfMemoryError-on-all-jobs-after-a-while-td24408800.html])
  * Fixed a possible NPEs with the slavestatus plugin.
    (report [http://www.nabble.com/Hudson-throws-NPE-after-upgrade-to-1.1315-td24476619.html])
  * Fixed a possible StringIndexOutOfBoundsException with Windows process execution.
    (issue 4034 [http://issues.hudson-ci.org/browse/HUDSON-4034])
  * Fixed an NPE when environment variables are enabled but no variables are set.
    (issue 4032 [http://issues.hudson-ci.org/browse/HUDSON-4032])
  * Added ibm-web-bnd.xmi to simplify the automated deployment with WebSphere.
    (issue 3270 [http://issues.hudson-ci.org/browse/HUDSON-3270])
  * When deleting the workspace of a matrix project, do so for all configurations.
    (issue 3087 [http://issues.hudson-ci.org/browse/HUDSON-3087])
  * Enclose URLs in angle brackets when sending mail.
    (issue 3647 [http://issues.hudson-ci.org/browse/HUDSON-3647])
  * Plugins can now hide classes in the core so that they can ship their own versions.
    (report [http://www.nabble.com/jaxen-JDOM-classloading-issues.-td24459951.html])
  * The default view is now configurable.
  * Tentatively added additional extension points to control queue behaviors. (patch [http://www.nabble.com/Queue-handling-contribution-td24322512.html])
  * Added support for proxy authentication on non-NTLM systems
    (issue 1920 [http://issues.hudson-ci.org/browse/HUDSON-1920])
  * Added MIME type mapping for several well-known file extensions so that it works everywhere.
    (issue 3803 [http://issues.hudson-ci.org/browse/HUDSON-3803])
  * Hudson failed to notice a build result status change if aborted builds were in the middle.
    (report [http://www.nabble.com/Losing-build-state-after-aborts--td24335949.html])
  * TCP/IP hostname calculation of slaves may fail due in high latency network.
    (issue 3981 [http://issues.hudson-ci.org/browse/HUDSON-3981])
  * Expose MAVEN_OPTS as env. var, in addition to set it to Maven JVM.
    (issue 3644 [http://issues.hudson-ci.org/browse/HUDSON-3644])
  * Fixed winp.dll load problem on WebSphere
    (report [http://www.nabble.com/winp.dll-problem-still-exists-td24390682.html])
  * Subversion checkouts created files for symlinks
    (issue 3949 [http://issues.hudson-ci.org/browse/HUDSON-3949])
  * Hudson CLI now tries to connect to Hudson via plain TCP/IP, then fall back to tunneling over HTTP.
  * Added ability to exclude by author and revision property with Subversion polling trigger.
  * CLI slave agents show details of how it failed to connect.
    (report [http://www.nabble.com/Can%%27t-start-a-slave-via-JNLP-td24363116.html])
* Mon Jul  6 2009 dmacvicar@suse.de
- update to 1.314:
  * Added option to advanced project configuration to clean workspace before each build.
    (issue 3966 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3966])
  * Fixed workspace deletion issue on subversion checkout.
    (issue 3580 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3580])
  * Hudson failed to notice a build result status change if aborted builds were in the middle.
    (report [http://www.nabble.com/Losing-build-state-after-aborts--td24335949.html])
  * Hudson CLI now tries to connect to Hudson via plain TCP/IP, then fall back to tunneling over HTTP.
  * Fixed a possible "Cannot create a file when that file already exists" error in managed Windows slave launcher. report [http://www.nabble.com/%%22Cannot-create-a-file-when-that-file-already-exists%%22---huh--td23949362.html#a23950643]
  * Made Hudson more robust in parsing CVS/Entries report [http://www.nabble.com/Exception-while-checking-out-from-CVS-td24256117.html]
  * Fixed a regression in the groovy CLI command report [http://d.hatena.ne.jp/tanamon/20090630/1246372887]
  * Fixed regression in handling of usernames containing <, often used by Mercurial.
    (issue 3964 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3964])
  * Allow Maven projects to have their own artifact archiver settings.
    (issue 3289 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3289])
  * Added copy-job, delete-job, enable-job, and disable-job command.
  * Fixed a bug in the non-ASCII character handling in remote bulk file copy.
    (report [http://www.nabble.com/WG%%3A-Error-when-saving-Artifacts-td24106649.html])
  * Supported self restart on all containers in Unix
    (report [http://www.nabble.com/What-are-your-experiences-with-Hudson-and-different-containers--td24075611.html])
  * Added Retry Logic to SCM Checkout
  * Fix bug in crumb validation when client is coming through a proxy.
    (issue 3854 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3854])
  * Replaced "appears to be stuck" with an icon.
    (issue 3891 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3891])
  * WebDAV deployment from Maven was failing with VerifyError.
  * Subversion checkout/update gets in an infinite loop when a previously valid password goes invalid.
    (issue 2909 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2909])
  * 1.311 jars were not properly signed
  * Subversion SCM browsers were not working.
    (report [http://www.nabble.com/Build-311-breaks-change-logs-td24150221.html])
  * Gracefully handle IBM JVMs on PowerPC.
    (issue 3875 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3875])
  * Fixed NPE with GlassFish v3 when CSRF protection is on.
    (issue 3878 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3878])
  * Fixed a bug in CLI where the state of command executions may interfere with each other.
  * CLI should handle the situation gracefully if the server doesn't use crumb.
  * Fixed a performance problem in CLI execution.
  * Don't populate the default value of the Subversion local directory name.
    (report [http://www.nabble.com/Is-%%22%%22Local-module-directory%%22-really-optional--td24035475.html])
  * Integrated SVNKit 1.3.0
  * Implemented more intelligent polling assisted by commit-hook from SVN repository. (details [http://wiki.hudson-ci.org/display/HUDSON/Subversion+post-commit+hook])
  * Subversion support is moved into a plugin to isolate SVNKit that has GPL-like license.
  * Fixed a performance problem in master/slave file copy.
    (issue 3799 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3799])
  * Set time out to avoid infinite hang when SMTP servers don't respond in time.
    (report [http://www.nabble.com/Lockup-during-e-mail-notification.-td23718820.html])
  * Ant/Maven installers weren't setting the file permissions on Unix.
    (issue 3850 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3850])
  * Fixed cross-site scripting vulnerabilities, thanks to Steve Milner.
  * Changing number of executors for master node required Hudson restart.
    (issue 3092 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3092])
  * Improved validation and help text regarding when number of executors setting may be zero.
    (issue 2110 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2110])
  * NPE fix in the remote API if @xpath is used without @exclude. (patch [http://www.nabble.com/Adding-Remote-API-support-to-findbugs-and-emma-plugins-td23819499.html])
  * Expose the node name as 'NODE_NAME' environment varilable to build.
  * Added a CLI command to clear the job queue.
    (report [http://www.nabble.com/cancel-all--td23930886.html])
  * Sundry improvements to automatic tool installation. You no longer need to configure an absolute tool home directory. Also some Unix-specific fixes.
  * Generate nonce values to prevent cross site request forgeries. Extension point to customize the nonce generation algorithm.
  * Reimplemented JDK auto installer to reduce Hudson footprint by 5MB. This also fix a failure to run on JBoss.
    (report [http://www.nabble.com/Hudson-1.308-seems-to-be-broken-with-Jboss-td23780609.html])
  * Unit test trend graph was not displayed if there's no successful build.
    (report [http://www.nabble.com/Re%%3A-Test-Result-Trend-plot-not-showing-p23707741.html])
  * init script ($HUDSON_HOME/init.groovy) is now run with uber-classloader.
  * Maven2 projects may fail with "Cannot lookup required component".
    (issue 3706 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3706])
  * Toned down the form validation of JDK, Maven, Ant installations given that we can now auto-install them.
  * Ant can now be automatically installed from ant.apache.org.
  * Maven can now be automatically installed from maven.apache.org.
  * AbstractProject.doWipeOutWorkspace() wasn't calling SCM.processWorkspaceBeforeDeletion.
    (issue 3506 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3506])
  * X-Hudson header was sent for all views, not just the top page.
    (report [http://www.netbeans.org/issues/show_bug.cgi?id=165067])
  * Remote API served incorrect absolute URLs when Hudson is run behind a reverse proxy.
    (report [http://www.netbeans.org/issues/show_bug.cgi?id=165067])
  * Further improved the JUnit report parsing.
    (report [http://www.nabble.com/NPE-%%28Fatal%%3A-Null%%29-in-recording-junit-test-results-td23562964.html])
  * External job monitoring was ignoring the possible encoding difference between Hudson and the remote machine that executed the job.
    (report [http://www.nabble.com/windows%%E3%%81%%AEhudson%%E3%%81%%8B%%E3%%82%%89ssh%%E3%%82%%B9%%E3%%83%%AC%%E3%%83%%BC%%E3%%83%%96%%E3%%82%%92%%E4%%BD%%BF%%E3%%81%%86%%E3%%81%%A8%%E3%%81%%8D%%E3%%81%%AE%%E6%%96%%87%%E5%%AD%%97%%E3%%82%%B3%%E3%%83%%BC%%E3%%83%%89%%E5%%8F%%96%%E3%%82%%8A%%E6%%89%%B1%%E3%%81%%84%%E3%%81%%AB%%E3%%81%%A4%%E3%%81%%84%%E3%%81%%A6-td23583532.html])
  * Slave launch log was doing extra buffering that can prevent error logs (and so on) from showing up instantly.
    (report [http://www.nabble.com/Selenium-Grid-Plugin-tp23481283p23486010.html])
  * Some failures in Windows batch files didn't cause Hudson to fail the build.
    (report [http://www.nabble.com/Propagating-failure-in-Windows-Batch-actions-td23603409.html])
  * Maven 2.1 support was not working on slaves.
    (report [http://www.nabble.com/1.305-fully-break-native-maven-support-td23575755.html])
  * Fixed a bug that caused Hudson to delete slave workspaces too often.
    (issue 3653 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3653])
  * If distributed build isn't enabled, slave selection drop-down shouldn't be displayed in the job config.
  * Added support for Svent 2.x SCM browsers.
    (issue 3357 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3357])
  * Fixed unexpanded rootURL in CLI.
    (report [http://d.hatena.ne.jp/masanobuimai/20090511#1242050331])
  * Trying to see the generated maven site results in 404.
    (issue 3497 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3497])
  * Long lines in console output are now wrapped in most browsers.
  * Hudson can now automatically install JDKs from java.sun.com
  * The native m2 mode now works with Maven 2.1
    (issue 2373 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2373])
  * CLI didn't work with "java -jar hudson.war"
    (report [http://d.hatena.ne.jp/masanobuimai/20090503#1241357664])
  * Link to the jar file in the CLI usage page is made more robust.
    (issue 3621 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3621])
  * "Build after other projects are built" wasn't loading the proper setting.
    (issue 3284 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3284])
  * Hudson started as "java -jar hudson.war" can now restart itself on all Unix flavors.
  * When run on GlassFish, Hudson configures GF correctly to handle URI encoding always in UTF-8
  * Added a new extension point to contribute fragment to UDP-based auto discovery.
  * Rolled back changes for HUDSON-3580 - workspace is once again deleted on svn checkout.
    (issue 3580 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3580])
  * Fixed a binary incompatibility in UpstreamCause that results in NoSuchMethodError. Regression in 1.302.
    (report [http://www.nabble.com/URGENT%%3A-parameterizedtrigger-plugin-gone-out-of-compatible-with-the--latest-1.302-release....-Re%%3A-parameterized-plugin-sometime-not-trigger-a--build...-td23349444.html])
  * The "groovysh" CLI command puts "println" to server stdout, instead of CLI stdout.
  * The elusive 'Not in GZIP format' exception is finally fixed thanks to cristiano_k's great detective work
    (issue 2154 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2154])
  * Hudson kept relaunching the slave under the "on-demand" retention strategy.
    (report [http://www.nabble.com/SlaveComputer.connect-Called-Multiple-Times-td23208903.html])
  * Extra slash (/) included in path to workspace copy of svn external.
    (issue 3533 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3533])
  * NPE prevents Hudson from starting up on some environments
    (report [http://www.nabble.com/Failed-to-initialisze-Hudson-%%3A-NullPointerException-td23252806.html])
  * Workspace deleted when subversion checkout happens.
    (issue 3580 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3580])
  * Hudson now handles unexpected failures in trigger plugins more gracefully.
  * Use 8K buffer to improve remote file copy performance.
    (issue 3524 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3524])
  * Hudson now has a CLI
  * Hudson's start up performance is improved by loading data concurrently.
  * When a SCM plugin is uninstalled, projects using it should fall back to "No SCM".
  * When polling SCMs, boolean parameter sets default value collectly.
  * Sidebar build descriptions will not have "..." appended unless they have been truncated.
    (issue 3541 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3541])
  * Workspace with symlink causes svn exception when updating externals.
    (issue 3532 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3532])
  * Hudson now started bundling ssh-slaves plugin out of the box.
  * Added an extension point to programmatically contribute a Subversion authentication credential.
    (report [http://www.nabble.com/Subversion-credentials-extension-point-td23159323.html])
  * You can now configure which columns are displayed in a view. "Last Stable" was also added as an optional column (not displayed by default).
    (issue 3465 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3465])
  * Preventive node monitoring like /tmp size check, swap space size check can be now disabled selectively.
    (issue 2596 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2596], issue 2552 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2552])
  * Per-project read permission support.
    (issue 2324 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2324])
  * Javadoc browsing broken since 1.297.
    (issue 3444 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3444])
  * Fixed a JNLP slave problem on JDK6u10 (and later)
  * Added @ExportedBean to DiskSpaceMonitorDescriptor#DiskSpace so that Remote API(/computer/api/) works
  * Fixed a Jelly bug in CVS after-the-fact tagging
  * Cross site scripting vulnerability in the search box.
    (issue 3415 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3415])
  * Auto-completion in the "copy job from" text box was not working.
    (issue 3396 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3396])
  * Allow descriptions for parameters
    (issue 2557 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2557])
  * support for boolean and choice parameters
    (issue 2558 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2558])
  * support for run parameters. Allows you to pick one run from a configurable project, and exposes the url of that run to the build.
  * JVM arguments of JNLP slaves can be now controlled.
    (issue 3398 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3398])
  * $HUDSON_HOME/userContent/ is now exposed under http://server/hudson/userContent/.
    (report [http://www.nabble.com/Is-it-possible-to-add-a-custom-page-Hudson--td22794858.html])
  * Fixed a plugin compatibility regression issue introduced in 1.296
    (issue 3436 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3436])
  * Programmatically created jobs started builds at #0 rather than #1.
    (issue 3361 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3361])
  * Drop-down combobox to select a repository browser all had the same title.
    (report [http://www.nabble.com/Possible-bug--Showing-%%22Associated-Mantis-Website%%22-in-scm-repository-browser-tt22786295.html])
  * Disk space monitoring was broken since 1.294.
    (issue 3381 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3381])
  * Native m2 support is moved to a plugin bundled out-of-the-box in the distribution
    (issue 3251 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3251])
  * Hudson now suggests to users to create a view if there are too many jobs but no views yet.
  * NPE in the global configuration of CVS.
    (issue 3382 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3382])
  * Generated RSS 2.0 feeds weren't properly escaping e-mail addresses.
  * Hudson wasn't capturing stdout/stderr from Maven surefire tests.
  * Improved the error diagnostics when retrieving JNLP file from CLI.
    (report [http://www.nabble.com/Install-jnlp-failure%%3A-java-IOException-to22469576.html])
  * Making various internal changes to make it easier to create custom job types.
  * Introduced a revised form field validation mechanism for plugins and core (FormValidation)
  * Hudson now monitors the temporary directory to forestall disk out of space problems.
  * XML API now exposes information about modules in a native Maven job.
  * ZIP archives created from workspace contents will render properly in Windows' built-in "compressed folder" views.
    (issue 3294 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3294])
  * Fixed an infinite loop (eventually leading to OOME) if Subversion client SSL certificate authentication fails.
    (report [http://www.nabble.com/OutOfMemoryError-when-uploading-credentials-td22430818.html])
  * NPE from artifact archiver when a slave is down.
    (issue 3330 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3330])
  * Hudson now monitors the disk consumption of HUDSON_HOME by itself.
  * Fixed the possible "java.io.IOException: Not in GZIP format" problem when copying a file remotely.
    (issue 3134 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3134])
  * Tool location name in node-specific properties always showed first list entry instead of saved value.
    (issue 3264 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3264])
  * Parse the Subversion tunnel configuration properly.
    (report [http://www.nabble.com/Problem-using-external-ssh-client-td22413572.html])
  * Improved JUnit result display to handle complex suite setups involving non-unique class names.
    (issue 2988 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2988])
  * If the master is on Windows and slave is on Unix or vice versa, PATH environment variable was not properly handled.
  * Improved the access denied error message to be more human readable.
    (report [http://www.nabble.com/Trouble-in-logging-in-with-Subversion-td22473876.html])
  * api/xml?xpath=...&wrapper=... behaved inconsistently for results of size 0 or 1.
    (issue 3267 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3267])
  * Fixed NPE in the WebSphere start up.
    (issue 3069 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3069])
  * Fixed a bug in the parsing of the -tunnel option in slave.jar
    (issue 2869 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2869])
  * Updated XStream to support FreeBSD.
    (issue 2356 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2356])
  * Only show last 150KB of console log in HTML view, with link to show entire log
    (issue 261 [https://hudson.dev.java.net/issues/show_bug.cgi?id=261])
  * Can specify build cause when triggering build remotely via token
    (issue 324 [https://hudson.dev.java.net/issues/show_bug.cgi?id=324])
  * Recover gracefully from failing to load winp.
    (report [http://www.nabble.com/Unable-to-load-winp.dll-td22423157.html])
  * Fixed a regression in 1.286 that broke findbugs and other plugins.
    (report [http://www.nabble.com/tasks-and-compiler-warnings-plugins-td22334680.html])
  * Fixed backward compatibility problem with the old audit-trail plugin and the old promoted-build plgin.
    (report [http://www.nabble.com/Problems-with-1.288-upgraded-from-1.285-td22360802.html], report [http://www.nabble.com/Promotion-Plugin-Broken-in-Build--1.287-td22376101.html])
  * On Solaris, ZFS detection fails if $HUDSON_HOME is on the top-level file system.
  * Fixed a regression in the fingerprinter & archiver interaction in the matrix project
    (report [http://www.nabble.com/1.286-version-and-fingerprints-option-broken-.-td22236618.html])
  * Added usage screen to slave.jar. Slaves now also do ping by default to proactively detect failures in the master. (from IRC)
  * Could not run java -jar hudson.war using JDK 5.
    (issue 3200 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3200])
  * Infinite loop reported when running on Glassfish.
    (issue 3163 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3163])
  * Hudson failed to poll multiple Subversion repository locations since 1.286.
    (issue 3168 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3168])
  * Avoid broken images/links in matrix project when some combinations are not run due to filter.
    (issue 3167 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3167])
  * Add back LDAP group query on uniqueMember (lost in 1.280) and fix memberUid query
    (issue 2256 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2256])
  * Adding a slave node was not possible in French locale
    (issue 3156 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3156])
  * External builds were shown in Build History of all slave nodes
  * Renewed the certificate for signing hudson.war
    (report [http://www.nabble.com/1.287%%3A-java.lang.IllegalStateException%%3A-zip-file-closed-td22272400.html])
  * Do not archive empty directories.
    (issue 3227 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3227])
  * Hyperlink URLs in JUnit output.
    (issue 3225 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3225])
  * Automatically lookup email addresses in LDAP when LDAP authentication is used
    (issue 1475 [https://hudson.dev.java.net/issues/show_bug.cgi?id=1475])
  * The project-based security configuration didn't survive the configuration roundtrip since 1.284.
    (issue 3116 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3116])
  * Form error check on the new node was checking against job names, not node names.
    (issue 3176 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3176])
  * Plugin class is now optional.
  * Display a more prominent message if Hudson is going to shut down.
  * Builds blocked by the shut-down process now reports its status accordingly.
    (issue 3152 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3152])
  * Custom widgets were not rendered.
    (issue 3161 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3161])
  * Fixed a regression in 1.286 about handling form field validations in some plugins.
    (report [http://www.nabble.com/1.286-version-and-description-The-requested-resource-%%28%%29-is-not--available.-td22233801.html])
  * Improved the robustness in changlog computation when a build fails at check out.
    (report [http://www.nabble.com/CVSChangeLogSet.parse-yields-SAXParseExceptions-when-parsing-bad-*AccuRev*-changelog.xml-files-td22213663.html])
  * Fixed a bug in loading winp.dll when directory names involve whitespaces.
    (issue 3111 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3111])
  * Switched to Groovy 1.6.0, and did so in a way that avoids some of the library conflicts, such as asm.
    (report [http://www.nabble.com/Hudson-library-dependency-to-asm-2.2-td22233542.html])
  * Fixed NPE in Pipe.EOF(0)
    (issue 3077 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3077])
  * Improved error handling when Maven fails to start correctly in the m2 project type.
    (issue 2394 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2394])
  * Improved the error handling behaviors when non-serializable exceptions are involved in distributed operations.
    (issue 1041 [https://hudson.dev.java.net/issues/show_bug.cgi?id=1041])
  * Allow unassigning a job from a node after the last slave node is deleted.
    (issue 2905 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2905])
  * Fix "Copy existing job" autocomplete on new job page if any existing job names have a quote character.
  * Keep last successful build (or artifacts from it) now tries to keep last stable build too.
    (issue 2417 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2417])
  * LDAP authentication realm didn't support the built-in "authenticated" role.
    (report [http://www.nabble.com/Hudson-security-issue%%3A-authenticated-user-does-not-work-td22176902.html])
  * Added RemoteCause for triggering build remotely.
  * Hudson is now capable of launching Windows slave headlessly and remotely.
  * Better SVN polling support - Trigger a build for changes in certain regions.
    (issue 3124 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3124])
  * New extension point NodeProperty.
  * Internal restructuring for reducing singleton dependencies and automatic Descriptor discovery.
  * Build parameter settings are lost when you save the configuration. Regression since 1.284.
    (report [http://www.nabble.com/Build-parameters-are-lost-in-1.284-td22077058.html])
  * Indicate the executors of offline nodes as "offline", not "idle" to avoid confusion.
    (issue 2263 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2263])
  * Fixed a boot problem in Solaris < 10.
    (issue 3044 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3044])
  * In matrix build, show axes used for that build rather than currently configured axes.
  * Don't let containers persist authentication information, which may not deserialize correctly.
    (report [http://www.nabble.com/ActiveDirectory-Plugin%%3A-ClassNotFoundException-while-loading--persisted-sessions%%3A-td22085140.html])
  * Always use some timeout value for Subversion HTTP access to avoid infinite hang in the read.
  * Better CVS polling support - Trigger a build for changes in certain regions.
    (issue 3123 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3123])
  * ProcessTreeKiller was not working on 64bit Windows, Windows 2000, and other minor platforms like PowerPC.
    (issue 3050 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3050], issue 3060 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3060])
  * Login using Hudson's own user database did not work since 1.283.
    (issue 3043 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3043])
  * View of parameters used for a build did not work since 1.283.
    (issue 3061 [https://hudson.dev.java.net/issues/show_bug.cgi?id=3061])
  * Equal quiet period and SCM polling schedule could trigger extra build with no changes.
    (issue 2671 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2671])
  * Fix localization of some messages in build health reports.
    (issue 1670 [https://hudson.dev.java.net/issues/show_bug.cgi?id=1670])
  * Fixed a possible memory leak in the distributed build.
    (report [http://www.nabble.com/Possible-memory-leak-in-hudson.remoting.ExportTable-td12000299.html])
  * Suppress more pointless error messages in Winstone when clients cut the connection in the middle.
    (report [http://www.nabble.com/javax.servlet.%%2CServletException-td22002253.html])
  * Fixed a concurrent build problem in the parallel parameterized build.
    (issue 2997 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2997])
  * Maven2 job types didn't handle property-based profile activations correctly.
    (issue 1454 [https://hudson.dev.java.net/issues/show_bug.cgi?id=1454])
  * LDAP group permissions were not applied when logged in via remember-me cookie.
    (issue 2329 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2329])
  * Record how each build was started and show this in build page and remote API.
    (issue 291 [https://hudson.dev.java.net/issues/show_bug.cgi?id=291])
  * Added the --version option to CLI to show the version. The version information is also visible in the help screen.
    (report [http://www.nabble.com/Naming-of-the-Hudson-Warfile-td21921859.html])
  * Hudson's own user database now stores SHA-256 encrypted passwords instead of reversible base-64 scrambling.
    (issue 2381 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2381])
  * Built-in servlet container no longer reports pointless error messages when clients abort the TCP connection.
    (report [http://www.nabble.com/Hudson-Evaluation---Log-output-td21943690.html])
  * On Solaris, Hudson now supports the migration of the data to ZFS.
  * Plugin manager now honors the plugin URL from inside .hpi, not just from the update center.
    (report [http://www.nabble.com/Plugin-deployment-issues-td21982824.html])
  * Hudson will now kill all the processes that are left behind by a build, to maintain the stability of the cluster.
    (issue 2729 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2729])
  * Matrix security username/groupname validation required admin permission even in project-specific permissions
  * Fixed a JavaScript bug in slave configuration page when locale is French.
    (report [http://www.nabble.com/Javascript-problem-for-french-version-td21875477.html])
  * File upload from HTML forms doesn't work with Internet Explorer.
    (report [http://www.nabble.com/IE%%E3%%81%%8B%%E3%%82%%89%%E3%%81%%AE%%E3%%83%%95%%E3%%82%%A1%%E3%%82%%A4%%E3%%83%%AB%%E3%%82%%A2%%E3%%83%%83%%E3%%83%%97%%E3%%83%%AD%%E3%%83%%BC%%E3%%83%%89-td21853837.html])
  * Jobs now expose JobProperties via the remote API.
    (issue 2990 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2990])
  * Hudson now responds to a UDP packet to port 33848 for better discovery.
  * Improved the error diagnostics when XML marshalling fails.
    (report [http://www.nabble.com/Trouble-configuring-Ldap-in-Hudson-running-on-JBoss-5.0.0.GA-td21849403.html])
  * Remote API access to test results was broken since 1.272.
    (issue 2760 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2760])
  * Fixed problem in 1.280 where saving top-level settings with LDAP authentication resulted in very large config.xml
    (issue 2958 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2958])
  * Username/groupname validation added in 1.280 had broken images, and got exception in groupname lookup with LDAP.
    (issue 2959 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2959])
  * hudson.war now supports the --daemon option for forking into background on Unix.
  * Remote API supports stdout/stderr from test reports.
    (issue 2760 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2760])
  * Fixed unnecessary builds triggered by SVN polling
    (issue 2825 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2825])
  * Hudson can now run on JBoss5 without any hassle.
    (issue 2831 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2831])
  * Matrix security configuration now validates whether the username/groupname are valid.
  * "Disable build" checkbox was moved to align with the rest of the checkboxes.
    (issue 2951 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2951])
  * Added an extension point to manipulate Launcher used during a build.
  * Fixed a security related regression in 1.278 where authorized users won't get access to the system.
    (issue 2930 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2930])
  * Possible subversion polling problems due to debug code making polling take one minute, since 1.273.
    (issue 2913 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2913])
  * Computer page now shows the executor list of that computer.
    (issue 2925 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2925])
  * Maven surefire test recording is made robust when clocks are out of sync
    (report [http://www.nabble.com/Hudson---test-parsing-failure-tt21520694.html])
  * Matrix project type now supports sparse matrix.
    (issue 2813 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2813])
  * Plugins can now add a new column to the list view.
    (issue 2862 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2862])
  * The "administer" permission should allow a person to do everything.
    (discussion [http://www.nabble.com/Deleting-users-from-Matrix-Based-security-td21566030.html#a21571137])
  * Parameterized projects supported for matrix configurations
    (issue 2903 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2903])
  * Improved error recovery when a build fails and javadoc/artifacts weren't created at all.
  * Support programmatic scheduling of parameterized builds by HTTP GET or POST to /job/.../buildWithParameters
    (issue 2409 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2409])
  * Create "lastStable" symlink on the file system to point to the applicable build.
    (report [http://www.nabble.com/lastStable-link-td21582859.html])
  * "Installing slave as Windows service" feature was broken since 1.272
    (issue 2886 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2886])
  * Top level People page showed no project information since 1.269.
    (report [http://www.nabble.com/N-A-in-%%22Last-Active%%22-column-in--people-page.-tp21553593p21553593.html])
  * Slave configuration page always showed "Utilize as much as possible" instead of saved value since 1.271.
    (issue 2878 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2878])
  * Require build permission to submit results for an external job.
    (issue 2873 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2873])
  * With the --logfile==/path/to/logfile option, Hudson now reacts SIGALRM and reopen the log file. This makes Hudson behave nicely wrt log rotation.
  * Ok button on New View page was always disabled when not using project-specific permissions.
    (issue 2809 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2809])
  * Fixed incompatibility with JBossAS 5.0.
    (issue 2831 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2831])
  * Unit test in plugin will now automatically load the plugin.
    (discussion [http://www.nabble.com/patch%%3A-WithPlugin-annotation%%2C-usable-in-plugin-projects-td21444423.html])
  * Added direct configuration links for the "manage nodes" page.
    (discussion [http://www.nabble.com/How-to-manage-slaves-after-upgrade-to-1.274-td21480759.html])
  * If a build has no change, e-mail shouldn't link to the empty changeset page.
  * Display of short time durations failed on locales with comma as fraction separator.
    (issue 2843 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2843])
  * Saving main Hudson config failed if more than one plugin used Plugin/config.jelly.
  * Added a scheduled slave availability.
  * Hudson supports auto-upgrade on Solaris when managed by SMF [http://docs.sun.com/app/docs/doc/819-2252/smf-5?a=view].
  * Removed unused spring-support-1.2.9.jar from Hudson as it was interfering with the Crowd plugin.
    (report [http://www.nabble.com/Getting-NoSuchClassDefFoundError-for-ehcache-tt21444908.html])
  * Debian package now has the RUN_STANDALONE switch to control if hudson should be run as a daemon.
    (report [http://www.nabble.com/Debian-repo-tt21467102.html])
  * Failure to compute Subversion changelog should result in a build failure.
    (issue 2461 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2461])
  * XML API caused NPE when xpath=... is specified.
    (issue 2828 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2828])
  * Artifact/workspace browser was unable to serve directories/files that contains ".." in them.
    (report [http://www.nabble.com/Status-Code-400-viewing-or-downloading-artifact-whose-filename-contains-two-consecutive-periods-tt21407604.html])
  * Hudson renders durations in milliseconds if the total duration is very short.
    (report [http://www.nabble.com/Unit-tests-duration-in-milliseconds-tt21417767.html])
  * On Unix, Hudson will contain symlinks from build numbers to their corresponding build directories.
  * Load statistics chart had the blue line and the red line swapped.
    (issue 2818 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2818])
  * Artifact archiver and workspace browser didn't handle filenames with spaces since 1.269.
    (issue 2793 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2793])
  * The executor status and build queue weren't updated asynchronously in the "manage slaves" page.
    (issue 2821 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2821])
  * If SCM polling activities gets clogged, Hudson shows a warning in the management page.
    (issue 1646 [https://hudson.dev.java.net/issues/show_bug.cgi?id=1646])
  * Added AdministrativeMonitor extension point for improving the autonomous monitoring of the system in Hudson.
  * Sometimes multi-line input field is not properly rendered as a text area.
    (issue 2816 [https://hudson.dev.java.net/issues/show_bug.cgi?id=2816])
  * Hudson wasn't able to detect when .NET was completely missing.
    (report [http://www.nabble.com/error-installing-hudson-as-a-windows-service-tt21378003.html])
  * Fixed a bug where the "All" view can be lost if upgraded from pre-1.269 and the configuration is reloaded from disk without saving.
    (report [http://www.nabble.com/all-view-disappeared-tt21380658.html])
  * If for some reason "All" view is deleted, allow people to create it again.
    (report [http://www.nabble.com/all-view-disappeared-tt21380658.html])
  * JNLP slave agents is made more robust in the face of configuration errors.
    (report [http://d.hatena.ne.jp/w650/20090107/1231323990])
  * Upgraded JNA to 3.0.9 to support installation as a service on 64bit Windows.
    (report [http://www.nabble.com/error-installing-hudson-as-a-windows-service-tt21378003.html])
  * Remote XML API now suports the 'exclude' query parameter to remove nodes that match the specified XPath.
    (report [http://d.hatena.ne.jp/masanobuimai/20090109#1231507972])
* Sat Jan 10 2009 guru@unixtech.be
- update to 1.271:
  * Fix URLs in junit test reports to handle some special characters. (https://hudson.dev.java.net/issues/show_bug.cgi?id=1768)
  * Project name for external job was not shown in Build History.
  * SecurityRealms can now better control the servlet filter chain. (http://www.nabble.com/proposed-patch-to-expose-filters-through-SecurityRealms-tt21062397.html)
  * Configuration of slaves are moved to individual pages.
  * Hudson now tracks the load statistics on slaves and labels.
  * Labels can be now assigned to the master. (https://hudson.dev.java.net/issues/show_bug.cgi?id=754)
  * Added cloud support and internal restructuring to deal with this change. Note that a plugin is required to use any particular cloud implementation.
* Tue Jan  6 2009 guru@unixtech.be
- update to 1.270:
  * Hudson version number was not shown at bottom of pages since 1.269.
  * Hudson system message was not shown on main page since 1.269.
  * Top level /api/xml wasn't working since 1.269. (https://hudson.dev.java.net/issues/show_bug.cgi?id=2779)
  * Fix posting of external job results. (https://hudson.dev.java.net/issues/show_bug.cgi?id=2786)
  * Windows service wrapper messes up environment variables to lower case. (http://www.nabble.com/Hudson-feedback-(and-windows-service-variable-lower-case-issue-continuation)-td21206812.html)
  * Construct proper Next/Previous Build links even if request URL has extra slashes. (https://hudson.dev.java.net/issues/show_bug.cgi?id=1457)
  * Subversion polling didn't notice when you change your project configuration. (http://www.nabble.com/Proper-way-to-switch---relocate-SVN-tree---tt21173306.html)
* Tue Jan  6 2009 guru@unixtech.be
- update to 1.269:
  * Manually making a Maven project as upstream and free-style project as a downstream wasn't working. (https://hudson.dev.java.net/issues/show_bug.cgi?id=2778)
  * Allow BuildWrapper plugins to contribute project actions to Maven2 jobs (https://hudson.dev.java.net/issues/show_bug.cgi?id=2777)
  * Error pages should return non-200 HTTP status code.
  * Logger configuration wasn't working since 1.267.
  * Fix artifact archiver and workspace browser to handle filenames that need URL-encoding. (https://hudson.dev.java.net/issues/show_bug.cgi?id=2379)
  * Only show form on tagBuild page if user has tag permission. (https://hudson.dev.java.net/issues/show_bug.cgi?id=2366)
  * Don't require admin permission to view node list page, just hide some columns from non-admins. (https://hudson.dev.java.net/issues/show_bug.cgi?id=1207)
  * Fix login redirect when anonymous user tries to access some pages. (https://hudson.dev.java.net/issues/show_bug.cgi?id=2408)
  * Redirect up to build page if next/previousBuild link jumps to an action not present in that build. (https://hudson.dev.java.net/issues/show_bug.cgi?id=117)
  * Subversion checkout/update now supports fixed revisions. (https://hudson.dev.java.net/issues/show_bug.cgi?id=262)
  * Views are now extensible and can be contributed by plugins. (https://hudson.dev.java.net/issues/show_bug.cgi?id=234)
* Sat Dec 20 2008 guru@unixtech.be
- update to 1.266:
  * If there was no successful build, test result trend wasn't displayed. (http://www.nabble.com/Test-Result-Trend-plot-not-showing-td21052568.html)
  * Windows service installer wasn't handling the situation correctly if Hudson is started at the installation target. (http://www.nabble.com/how-to-setup-hudson-%%2B-cvsnt-%%2B-ssh-as-a-service-on-windows--tp20902739p20902739.html)
  * Always display the restart button on the update center page, if the current environment supports it. (http://www.nabble.com/Restarting-Hudson-%%28as-Windows-service%%29-from-web-UI--td21069038.html)
  * slave.jar now supports the -noCertificateCheck to bypass (or cripple) HTTPS certificate examination entirely. Useful for working with self-signed HTTPS that are often seen in the intranet. (http://www.nabble.com/Getting-hudson-slaves-to-connect-to-https-hudson-with-self-signed-certificate-td21042660.html)
  * Add extension point to allow alternate update centers. (http://hudson.dev.java.net/issues/show_bug.cgi?id=2732)
  * Improved accessibility for visually handicapped.
* Thu Dec 11 2008 guru@unixtech.be
- update to 1.263:
  * Fixed a problem in handling of '\' introduced in 1.260. (https://hudson.dev.java.net/issues/show_bug.cgi?id=2584)
  * Fixed possible NPE when rendering a build history after a slave removal. (https://hudson.dev.java.net/issues/show_bug.cgi?id=2622)
  * JNLP descriptor shouldn't rely on the manually configured root URL for HTTP access. (http://www.nabble.com/Moved-master-to-new-machine%%2C-now-when-creating-new-slave%%2C-jnlp-tries-to-connect-to-old-machine-td20465637.html)
  * Use unique id which javascript uses when removing users from Matrix-based securoty. (https://hudson.dev.java.net/issues/show_bug.cgi?id=2652)
  * Hudson is now made 5 times more conservative in marking an item in the queue as stuck. (https://hudson.dev.java.net/issues/show_bug.cgi?id=2618)
  * Improved the variable expansion mechanism in handling of more complex cases.
  * XPath matching numbers and booleans in the remote API will render text/plain, instead of error.
* Fri Nov 14 2008 guru@unixtech.be
- update to 1.262:
  * Fixed a Java6 dependency crept in in 1.261. (https://hudson.dev.java.net/issues/show_bug.cgi?id=2623)
  * Setting up a manual dependency from a freestyle project to a Maven project didn't work. (http://ml.seasar.org/archives/operation/2008-November/004003.html)
  * Use Project Security setting wasn't being persisted. (https://hudson.dev.java.net/issues/show_bug.cgi?id=2305)
  * Slave installed as a Windows service didn't attempt automatic reconnection when initiail connection fails. (http://www.nabble.com/Loop-Slave-Connection-Attempts-td20471873.html)
  * Maven builder has the advanced section in the freestyle job, just like Ant builder. (http://ml.seasar.org/archives/operation/2008-November/004003.html)
* Wed Nov 12 2008 guru@unixtech.be
- update to 1.261:
  * Using Maven inside a matrix project, axes were not expanded in the maven command line. (http://ml.seasar.org/archives/operation/2008-November/003996.html)
  * Fixed authentication so that login successfully after signing up. (https://hudson.dev.java.net/issues/show_bug.cgi?id=2594)
  * Fixed Project-based Matrix Authorization Strategy reverting to Matrix Authorization Strategy after restarting Hudson (https://hudson.dev.java.net/issues/show_bug.cgi?id=2305)
  * LDAP membership query now recognizes uniqueMember and memberUid (https://hudson.dev.java.net/issues/show_bug.cgi?id=2256)
  * If a build appears to be hanging for too long, Hudson turns the progress bar to red.
* Thu Nov  6 2008 guru@unixtech.be
- update to 1.260:
  * Fixed tokenization handling in command line that involves quotes (like -Dabc="abc def" (https://hudson.dev.java.net/issues/show_bug.cgi?id=2584)
  * Hudson wasn't using persistent HTTP connections properly when using Subversion over HTTP.
  * Fixed svn:executable handling on 64bit Linux systems.
  * When a build is aborted, Hudson now kills all the descendant processes recursively to avoid run-away processes. This is available on Windows, Linux, and Solaris. Contributions for other OSes welcome.
  * Improved error diagnostics in the update center when the proxy configuration is likely necessary. (http://www.nabble.com/update-center-proxy-td20205568.html)
  * Improved error diagnostics when a temp file creation failed. (https://hudson.dev.java.net/issues/show_bug.cgi?id=2587)
* Tue Nov  4 2008 guru@unixtech.be
- update to 1.259:
  * If a job is cancelled while it's already in the queue, remove the job from the queue. (http://www.nabble.com/Disabled-jobs-and-triggered-builds-td20254776.html)
  * Installing Hudson as a Windows service requires .NET 2.0 or later. Hudson now checks this before attempting a service installation.
  * On Hudson installed as Windows service, Hudson can now upgrade itself when a new version is available.
  * Hudson can now be pre-packaged with plugins. (http://www.nabble.com/How-can-I-distribute-Hudson-with-my-plug-in-td20278601.html)
  * Supported the javadoc:aggregate goal (https://hudson.dev.java.net/issues/show_bug.cgi?id=2562)
  * Bundled StAX implementation so that plugins would have easier time using it. (https://hudson.dev.java.net/issues/show_bug.cgi?id=2547)
* Thu Oct 30 2008 guru@unixtech.be
- update to 1.258:
  * Fixed a class incompatibility introduced in 1.257 that breaks TFS and ClearCase plugins. (http://www.nabble.com/Build-257-IncompatibleClassChangeError-td20229011.html)
  * Fixed a NPE when dealing with broken Action implementations. (https://hudson.dev.java.net/issues/show_bug.cgi?id=2527)
* Tue Oct 28 2008 guru@unixtech.be
- update to 1.257:
  * Fixed an encoding issue when the master and a slave use incompatible encodings.
  * Permission matrix was missing tooltip text. (http://www.nabble.com/Missing-hover-text-for-matrix-security-permissions--td20140205.html)
  * Parameter expansion in Ant builder didn't honor build parameters. (http://www.nabble.com/Missing-hover-text-for-matrix-security-permissions--td20140205.html)
  * Added tooltip for 'S' and 'W' in the top page for showing what it is. (http://www.nabble.com/Re%%3A-What-are-%%27S%%27-and-%%27W%%27-in-Hudson-td20199851.html)
  * Expanded the remote API to disable/enable jobs remotely.
* Sat Oct 25 2008 guru@unixtech.be
- update to 1.256:
  * Hudson had two dom4j.jar that was causing a VerifyError in WebSphere. (https://hudson.dev.java.net/issues/show_bug.cgi?id=2435)
  * Fixed NPE in case of changelog.xml data corruption (https://hudson.dev.java.net/issues/show_bug.cgi?id=2428)
  * Improved the error detection when a Windows path is given to a Unix slave. (http://www.nabble.com/windows-32-bit-hudson-talking-to-linux-64-bit-slave--td19755708.html)
  * Automatic dependency management for Maven projects can be now disabled. (https://hudson.dev.java.net/issues/show_bug.cgi?id=1714)
* Thu Oct  2 2008 guru@unixtech.be
- update to 1.255:
  * Project-level ACL matrix shouldn't display "CREATE" permission. (http://www.nabble.com/Project-based-authorization-%%3A-Create-permission-td19729677.html)
  * Fixed the serialized form of project-based matrix authorization strategy.
  * Fixed a bug where Hudson installed as service gets killed when the interactive user logs off. (http://www.nabble.com/Project-based-authorization-%%3A-Create-permission-td19729677.html)
  * Timer-scheduled build shouldn't honor the quiet period. (http://www.nabble.com/Build-periodically-Schedule-time-difference-vs-actual-execute-time-td19736583.html)
  * Hudson slave launched from JNLP is now capable of installing itself as a Windows service.
* Sat Sep 27 2008 guru@unixtech.be
- update to 1.254:
  * IllegalArgumentException in DeferredCreationLdapAuthoritiesPopulator if groupSearchBase is omitted. (http://www.nabble.com/IllegalArgumentException-in-DeferredCreationLdapAuthoritiesPopulator-if-groupSearchBase-is-omitted-td19689475.html)
  * Fixed "Failed to tag" problem when tagging some builds (https://hudson.dev.java.net/issues/show_bug.cgi?id=2213)
  * Hudson is now capable of installing itself as a Windows service.
  * Improved the diagnostics of why Hudson needs to do a fresh check out. (http://www.nabble.com/Same-job-gets-rescheduled-again-and-again-td19662648.html)
* Thu Sep 25 2008 guru@unixtech.be
- update to 1.253:
  * Fixed FormFieldValidator check for Windows path (https://hudson.dev.java.net/issues/show_bug.cgi?id=2334)
  * Support empty cvs executable and Shell executable on configure page (https://hudson.dev.java.net/issues/show_bug.cgi?id=1851)
  * Fixed parametric Project build when scheduled automatically from SCM changes (https://hudson.dev.java.net/issues/show_bug.cgi?id=2336)
  * "Tag this build" link shouldn't show up in the navigation bar if the user doesn't have a permission. (https://hudson.dev.java.net/issues/show_bug.cgi?id=2380)
  * Improved LDAP support so that it doesn't rely on ou=groups.
  * Project-based security matrix shouldn't show up in project config page unless the said option is enabled in the global config
  * Fixed NPE during the sign up of a new user (https://hudson.dev.java.net/issues/show_bug.cgi?id=2376)
  * Suppress the need for a scroll-bar on the configure page when the PATH is very long (https://hudson.dev.java.net/issues/show_bug.cgi?id=2317)
  * Now UserProperty objects can provide a summary on a user's main page. (https://hudson.dev.java.net/issues/show_bug.cgi?id=2331)
  * Validate Maven installation directory just like Ant installation (https://hudson.dev.java.net/issues/show_bug.cgi?id=2335)
  * Show summary.jelly files for JobProperties in the project page (https://hudson.dev.java.net/issues/show_bug.cgi?id=2398)
  * Improvements in French and Japanese localization.
  * JNLP slaves now support port tunneling for security-restricted environments.
  * slave.jar now supports a proactive connection initiation (like JNLP slaves.) This can be used to replace JNLP slaves, especially when you want to run it as a service.
  * Added a new extension to define permalinks
  * Supported a file submission as one of the possible parameters for a parameterized build.
  * The logic to disable slaves based on its response time is made more robust, to ignore temporary spike.
  * Improved the robustness of the loading of persisted records to simplify plugin evolution.
* Tue Sep  2 2008 guru@unixtech.be
- update to 1.252:
  * Fixed a queue persistence problem where sometimes executors die with NPEs.
  * PageDecorator with a global.jelly is now shown in the System configuration page (https://hudson.dev.java.net/issues/show_bug.cgi?id=2289)
  * On security-enabled Hudson, redirection for a login didn't work correctly since 1.249. (https://hudson.dev.java.net/issues/show_bug.cgi?id=2290)
  * Hudson didn't give SCMs an opportunity to clean up the workspace before project deletion. (https://hudson.dev.java.net/issues/show_bug.cgi?id=2271)
  * Subversion SCM enhancement for allowing parametric builds on Tags and Branches. (https://hudson.dev.java.net/issues/show_bug.cgi?id=2298)
* Sat Aug 23 2008 guru@unixtech.be
- update to 1.251:
  * JavaScript error in the system configuration prevents a form submission. (https://hudson.dev.java.net/issues/show_bug.cgi?id=2260)
* Fri Aug 22 2008 guru@unixtech.be
- update to 1.250:
  * Fixed NPE in the workspace clean up thread when the slave is offline. (https://hudson.dev.java.net/issues/show_bug.cgi?id=2221)
  * Hudson was still using deprecated configure methods on some of the extension points. (http://www.nabble.com/Hudson.configure-calling-deprecated-Descriptor.configure-td19051815.html)
  * Abbreviated time representation in English (e.g., "seconds" -> "secs") to reduce the width of the job listing. (https://hudson.dev.java.net/issues/show_bug.cgi?id=2251)
  * Added LDAPS support (https://hudson.dev.java.net/issues/show_bug.cgi?id=1445)
* Wed Aug 20 2008 guru@unixtech.be
- update to 1.249:
  * JNLP slave agent fails to launch when the anonymous user doesn't have a read access. (http://www.nabble.com/Launching-slave-by-JNLP-with-Active-Directory-plugin-and-matrix-security-problem-td18980323.html)
  * Trying to access protected resources anonymously now results in 401 status code, to help programmatic access.
  * When the security realm was delegated to the container, users didn't have the built-in "authenticated" role.
  * Fixed IllegalMonitorStateException (https://hudson.dev.java.net/issues/show_bug.cgi?id=2230)
  * Intorduced a mechanism to perform a bulk change to improve performance (and in preparation of version controlling config files)
